--- old/usr/src/uts/common/io/ixgbe/ixgbe_type.h	Wed Sep  7 11:32:39 2011
+++ new/usr/src/uts/common/io/ixgbe/ixgbe_type.h	Wed Sep  7 11:32:39 2011
@@ -1376,764 +1405,722 @@
  *    1588 (0x88f7):         Filter 3
  *    FIP  (0x8914):         Filter 4
  */
-#define	IXGBE_ETQF_FILTER_EAPOL	0
-#define	IXGBE_ETQF_FILTER_FCOE	2
-#define	IXGBE_ETQF_FILTER_1588	3
-#define	IXGBE_ETQF_FILTER_FIP	4
-
+#define IXGBE_ETQF_FILTER_EAPOL          0
+#define IXGBE_ETQF_FILTER_FCOE           2
+#define IXGBE_ETQF_FILTER_1588           3
+#define IXGBE_ETQF_FILTER_FIP            4
 /* VLAN Control Bit Masks */
-#define	IXGBE_VLNCTRL_VET	0x0000FFFF  /* bits 0-15 */
-#define	IXGBE_VLNCTRL_CFI	0x10000000  /* bit 28 */
-#define	IXGBE_VLNCTRL_CFIEN	0x20000000  /* bit 29 */
-#define	IXGBE_VLNCTRL_VFE	0x40000000  /* bit 30 */
-#define	IXGBE_VLNCTRL_VME	0x80000000  /* bit 31 */
+#define IXGBE_VLNCTRL_VET       0x0000FFFF  /* bits 0-15 */
+#define IXGBE_VLNCTRL_CFI       0x10000000  /* bit 28 */
+#define IXGBE_VLNCTRL_CFIEN     0x20000000  /* bit 29 */
+#define IXGBE_VLNCTRL_VFE       0x40000000  /* bit 30 */
+#define IXGBE_VLNCTRL_VME       0x80000000  /* bit 31 */
 
 /* VLAN pool filtering masks */
-#define	IXGBE_VLVF_VIEN		0x80000000  /* filter is valid */
-#define	IXGBE_VLVF_ENTRIES	64
-#define	IXGBE_VLVF_VLANID_MASK	0x00000FFF
+#define IXGBE_VLVF_VIEN         0x80000000  /* filter is valid */
+#define IXGBE_VLVF_ENTRIES      64
+#define IXGBE_VLVF_VLANID_MASK  0x00000FFF
 /* Per VF Port VLAN insertion rules */
-#define	IXGBE_VMVIR_VLANA_DEFAULT	0x40000000 /* Always use default VLAN */
-#define	IXGBE_VMVIR_VLANA_NEVER		0x80000000 /* Never insert VLAN tag */
+#define IXGBE_VMVIR_VLANA_DEFAULT 0x40000000 /* Always use default VLAN */
+#define IXGBE_VMVIR_VLANA_NEVER   0x80000000 /* Never insert VLAN tag */
 
+#define IXGBE_ETHERNET_IEEE_VLAN_TYPE 0x8100  /* 802.1q protocol */
 
-#define	IXGBE_ETHERNET_IEEE_VLAN_TYPE	0x8100  /* 802.1q protocol */
-
 /* STATUS Bit Masks */
-#define	IXGBE_STATUS_LAN_ID	0x0000000C /* LAN ID */
-#define	IXGBE_STATUS_LAN_ID_SHIFT	2  /* LAN ID Shift */
-#define	IXGBE_STATUS_GIO	0x00080000 /* GIO Master Enable Status */
+#define IXGBE_STATUS_LAN_ID         0x0000000C /* LAN ID */
+#define IXGBE_STATUS_LAN_ID_SHIFT   2          /* LAN ID Shift*/
+#define IXGBE_STATUS_GIO            0x00080000 /* GIO Master Enable Status */
 
-#define	IXGBE_STATUS_LAN_ID_0	0x00000000 /* LAN ID 0 */
-#define	IXGBE_STATUS_LAN_ID_1	0x00000004 /* LAN ID 1 */
+#define IXGBE_STATUS_LAN_ID_0   0x00000000 /* LAN ID 0 */
+#define IXGBE_STATUS_LAN_ID_1   0x00000004 /* LAN ID 1 */
 
 /* ESDP Bit Masks */
-#define	IXGBE_ESDP_SDP0		0x00000001 /* SDP0 Data Value */
-#define	IXGBE_ESDP_SDP1		0x00000002 /* SDP1 Data Value */
-#define	IXGBE_ESDP_SDP2		0x00000004 /* SDP2 Data Value */
-#define	IXGBE_ESDP_SDP3		0x00000008 /* SDP3 Data Value */
-#define	IXGBE_ESDP_SDP4		0x00000010 /* SDP4 Data Value */
-#define	IXGBE_ESDP_SDP5		0x00000020 /* SDP5 Data Value */
-#define	IXGBE_ESDP_SDP6		0x00000040 /* SDP6 Data Value */
-#define	IXGBE_ESDP_SDP4_DIR	0x00000004 /* SDP4 IO direction */
-#define	IXGBE_ESDP_SDP5_DIR	0x00002000 /* SDP5 IO direction */
+#define IXGBE_ESDP_SDP0 0x00000001 /* SDP0 Data Value */
+#define IXGBE_ESDP_SDP1 0x00000002 /* SDP1 Data Value */
+#define IXGBE_ESDP_SDP2 0x00000004 /* SDP2 Data Value */
+#define IXGBE_ESDP_SDP3 0x00000008 /* SDP3 Data Value */
+#define IXGBE_ESDP_SDP4 0x00000010 /* SDP4 Data Value */
+#define IXGBE_ESDP_SDP5 0x00000020 /* SDP5 Data Value */
+#define IXGBE_ESDP_SDP6 0x00000040 /* SDP6 Data Value */
+#define IXGBE_ESDP_SDP4_DIR     0x00000004 /* SDP4 IO direction */
+#define IXGBE_ESDP_SDP5_DIR     0x00002000 /* SDP5 IO direction */
 
 /* LEDCTL Bit Masks */
-#define	IXGBE_LED_IVRT_BASE	0x00000040
-#define	IXGBE_LED_BLINK_BASE	0x00000080
-#define	IXGBE_LED_MODE_MASK_BASE	0x0000000F
-#define	IXGBE_LED_OFFSET(_base, _i)	(_base << (8 * (_i)))
-#define	IXGBE_LED_MODE_SHIFT(_i)	(8*(_i))
-#define	IXGBE_LED_IVRT(_i)	IXGBE_LED_OFFSET(IXGBE_LED_IVRT_BASE, _i)
-#define	IXGBE_LED_BLINK(_i)	IXGBE_LED_OFFSET(IXGBE_LED_BLINK_BASE, _i)
-#define	IXGBE_LED_MODE_MASK(_i)	IXGBE_LED_OFFSET(IXGBE_LED_MODE_MASK_BASE, _i)
+#define IXGBE_LED_IVRT_BASE      0x00000040
+#define IXGBE_LED_BLINK_BASE     0x00000080
+#define IXGBE_LED_MODE_MASK_BASE 0x0000000F
+#define IXGBE_LED_OFFSET(_base, _i) (_base << (8 * (_i)))
+#define IXGBE_LED_MODE_SHIFT(_i) (8*(_i))
+#define IXGBE_LED_IVRT(_i)       IXGBE_LED_OFFSET(IXGBE_LED_IVRT_BASE, _i)
+#define IXGBE_LED_BLINK(_i)      IXGBE_LED_OFFSET(IXGBE_LED_BLINK_BASE, _i)
+#define IXGBE_LED_MODE_MASK(_i)  IXGBE_LED_OFFSET(IXGBE_LED_MODE_MASK_BASE, _i)
 
 /* LED modes */
-#define	IXGBE_LED_LINK_UP	0x0
-#define	IXGBE_LED_LINK_10G	0x1
-#define	IXGBE_LED_MAC		0x2
-#define	IXGBE_LED_FILTER	0x3
-#define	IXGBE_LED_LINK_ACTIVE	0x4
-#define	IXGBE_LED_LINK_1G	0x5
-#define	IXGBE_LED_ON		0xE
-#define	IXGBE_LED_OFF		0xF
+#define IXGBE_LED_LINK_UP       0x0
+#define IXGBE_LED_LINK_10G      0x1
+#define IXGBE_LED_MAC           0x2
+#define IXGBE_LED_FILTER        0x3
+#define IXGBE_LED_LINK_ACTIVE   0x4
+#define IXGBE_LED_LINK_1G       0x5
+#define IXGBE_LED_ON            0xE
+#define IXGBE_LED_OFF           0xF
 
 /* AUTOC Bit Masks */
-#define	IXGBE_AUTOC_KX4_KX_SUPP_MASK	0xC0000000
-#define	IXGBE_AUTOC_KX4_SUPP	0x80000000
-#define	IXGBE_AUTOC_KX_SUPP	0x40000000
-#define	IXGBE_AUTOC_PAUSE	0x30000000
-#define	IXGBE_AUTOC_ASM_PAUSE	0x20000000
-#define	IXGBE_AUTOC_SYM_PAUSE	0x10000000
-#define	IXGBE_AUTOC_RF		0x08000000
-#define	IXGBE_AUTOC_PD_TMR	0x06000000
-#define	IXGBE_AUTOC_AN_RX_LOOSE	0x01000000
-#define	IXGBE_AUTOC_AN_RX_DRIFT	0x00800000
-#define	IXGBE_AUTOC_AN_RX_ALIGN	0x007C0000
-#define	IXGBE_AUTOC_FECA	0x00040000
-#define	IXGBE_AUTOC_FECR	0x00020000
-#define	IXGBE_AUTOC_KR_SUPP	0x00010000
-#define	IXGBE_AUTOC_AN_RESTART	0x00001000
-#define	IXGBE_AUTOC_FLU		0x00000001
-#define	IXGBE_AUTOC_LMS_SHIFT	13
-#define	IXGBE_AUTOC_LMS_10G_SERIAL	(0x3 << IXGBE_AUTOC_LMS_SHIFT)
-#define	IXGBE_AUTOC_LMS_KX4_KX_KR	(0x4 << IXGBE_AUTOC_LMS_SHIFT)
-#define	IXGBE_AUTOC_LMS_SGMII_1G_100M	(0x5 << IXGBE_AUTOC_LMS_SHIFT)
-#define	IXGBE_AUTOC_LMS_KX4_KX_KR_1G_AN	(0x6 << IXGBE_AUTOC_LMS_SHIFT)
-#define	IXGBE_AUTOC_LMS_KX4_KX_KR_SGMII	(0x7 << IXGBE_AUTOC_LMS_SHIFT)
-#define	IXGBE_AUTOC_LMS_MASK		(0x7 << IXGBE_AUTOC_LMS_SHIFT)
-#define	IXGBE_AUTOC_LMS_1G_LINK_NO_AN	(0x0 << IXGBE_AUTOC_LMS_SHIFT)
-#define	IXGBE_AUTOC_LMS_10G_LINK_NO_AN	(0x1 << IXGBE_AUTOC_LMS_SHIFT)
-#define	IXGBE_AUTOC_LMS_1G_AN		(0x2 << IXGBE_AUTOC_LMS_SHIFT)
-#define	IXGBE_AUTOC_LMS_KX4_AN		(0x4 << IXGBE_AUTOC_LMS_SHIFT)
-#define	IXGBE_AUTOC_LMS_KX4_AN_1G_AN	(0x6 << IXGBE_AUTOC_LMS_SHIFT)
-#define	IXGBE_AUTOC_LMS_ATTACH_TYPE	(0x7 << IXGBE_AUTOC_10G_PMA_PMD_SHIFT)
+#define IXGBE_AUTOC_KX4_KX_SUPP_MASK 0xC0000000
+#define IXGBE_AUTOC_KX4_SUPP    0x80000000
+#define IXGBE_AUTOC_KX_SUPP     0x40000000
+#define IXGBE_AUTOC_PAUSE       0x30000000
+#define IXGBE_AUTOC_ASM_PAUSE   0x20000000
+#define IXGBE_AUTOC_SYM_PAUSE   0x10000000
+#define IXGBE_AUTOC_RF          0x08000000
+#define IXGBE_AUTOC_PD_TMR      0x06000000
+#define IXGBE_AUTOC_AN_RX_LOOSE 0x01000000
+#define IXGBE_AUTOC_AN_RX_DRIFT 0x00800000
+#define IXGBE_AUTOC_AN_RX_ALIGN 0x007C0000
+#define IXGBE_AUTOC_FECA        0x00040000
+#define IXGBE_AUTOC_FECR        0x00020000
+#define IXGBE_AUTOC_KR_SUPP     0x00010000
+#define IXGBE_AUTOC_AN_RESTART  0x00001000
+#define IXGBE_AUTOC_FLU         0x00000001
+#define IXGBE_AUTOC_LMS_SHIFT   13
+#define IXGBE_AUTOC_LMS_10G_SERIAL      (0x3 << IXGBE_AUTOC_LMS_SHIFT)
+#define IXGBE_AUTOC_LMS_KX4_KX_KR       (0x4 << IXGBE_AUTOC_LMS_SHIFT)
+#define IXGBE_AUTOC_LMS_SGMII_1G_100M   (0x5 << IXGBE_AUTOC_LMS_SHIFT)
+#define IXGBE_AUTOC_LMS_KX4_KX_KR_1G_AN (0x6 << IXGBE_AUTOC_LMS_SHIFT)
+#define IXGBE_AUTOC_LMS_KX4_KX_KR_SGMII (0x7 << IXGBE_AUTOC_LMS_SHIFT)
+#define IXGBE_AUTOC_LMS_MASK            (0x7 << IXGBE_AUTOC_LMS_SHIFT)
+#define IXGBE_AUTOC_LMS_1G_LINK_NO_AN   (0x0 << IXGBE_AUTOC_LMS_SHIFT)
+#define IXGBE_AUTOC_LMS_10G_LINK_NO_AN  (0x1 << IXGBE_AUTOC_LMS_SHIFT)
+#define IXGBE_AUTOC_LMS_1G_AN           (0x2 << IXGBE_AUTOC_LMS_SHIFT)
+#define IXGBE_AUTOC_LMS_KX4_AN          (0x4 << IXGBE_AUTOC_LMS_SHIFT)
+#define IXGBE_AUTOC_LMS_KX4_AN_1G_AN    (0x6 << IXGBE_AUTOC_LMS_SHIFT)
+#define IXGBE_AUTOC_LMS_ATTACH_TYPE     (0x7 << IXGBE_AUTOC_10G_PMA_PMD_SHIFT)
 
-#define	IXGBE_AUTOC_1G_PMA_PMD_MASK	0x00000200
-#define	IXGBE_AUTOC_1G_PMA_PMD_SHIFT	9
-#define	IXGBE_AUTOC_10G_PMA_PMD_MASK	0x00000180
-#define	IXGBE_AUTOC_10G_PMA_PMD_SHIFT	7
-#define	IXGBE_AUTOC_10G_XAUI		(0x0 << IXGBE_AUTOC_10G_PMA_PMD_SHIFT)
-#define	IXGBE_AUTOC_10G_KX4		(0x1 << IXGBE_AUTOC_10G_PMA_PMD_SHIFT)
-#define	IXGBE_AUTOC_10G_CX4		(0x2 << IXGBE_AUTOC_10G_PMA_PMD_SHIFT)
-#define	IXGBE_AUTOC_1G_BX		(0x0 << IXGBE_AUTOC_1G_PMA_PMD_SHIFT)
-#define	IXGBE_AUTOC_1G_KX		(0x1 << IXGBE_AUTOC_1G_PMA_PMD_SHIFT)
-#define	IXGBE_AUTOC_1G_SFI		(0x0 << IXGBE_AUTOC_1G_PMA_PMD_SHIFT)
-#define	IXGBE_AUTOC_1G_KX_BX		(0x1 << IXGBE_AUTOC_1G_PMA_PMD_SHIFT)
+#define IXGBE_AUTOC_1G_PMA_PMD_MASK    0x00000200
+#define IXGBE_AUTOC_1G_PMA_PMD_SHIFT   9
+#define IXGBE_AUTOC_10G_PMA_PMD_MASK   0x00000180
+#define IXGBE_AUTOC_10G_PMA_PMD_SHIFT  7
+#define IXGBE_AUTOC_10G_XAUI   (0x0 << IXGBE_AUTOC_10G_PMA_PMD_SHIFT)
+#define IXGBE_AUTOC_10G_KX4    (0x1 << IXGBE_AUTOC_10G_PMA_PMD_SHIFT)
+#define IXGBE_AUTOC_10G_CX4    (0x2 << IXGBE_AUTOC_10G_PMA_PMD_SHIFT)
+#define IXGBE_AUTOC_1G_BX      (0x0 << IXGBE_AUTOC_1G_PMA_PMD_SHIFT)
+#define IXGBE_AUTOC_1G_KX      (0x1 << IXGBE_AUTOC_1G_PMA_PMD_SHIFT)
+#define IXGBE_AUTOC_1G_SFI     (0x0 << IXGBE_AUTOC_1G_PMA_PMD_SHIFT)
+#define IXGBE_AUTOC_1G_KX_BX   (0x1 << IXGBE_AUTOC_1G_PMA_PMD_SHIFT)
 
-#define	IXGBE_AUTOC2_UPPER_MASK	0xFFFF0000
-#define	IXGBE_AUTOC2_10G_SERIAL_PMA_PMD_MASK	0x00030000
-#define	IXGBE_AUTOC2_10G_SERIAL_PMA_PMD_SHIFT	16
-#define	IXGBE_AUTOC2_10G_KR	(0x0 << IXGBE_AUTOC2_10G_SERIAL_PMA_PMD_SHIFT)
-#define	IXGBE_AUTOC2_10G_XFI	(0x1 << IXGBE_AUTOC2_10G_SERIAL_PMA_PMD_SHIFT)
-#define	IXGBE_AUTOC2_10G_SFI	(0x2 << IXGBE_AUTOC2_10G_SERIAL_PMA_PMD_SHIFT)
+#define IXGBE_AUTOC2_UPPER_MASK  0xFFFF0000
+#define IXGBE_AUTOC2_10G_SERIAL_PMA_PMD_MASK  0x00030000
+#define IXGBE_AUTOC2_10G_SERIAL_PMA_PMD_SHIFT 16
+#define IXGBE_AUTOC2_10G_KR  (0x0 << IXGBE_AUTOC2_10G_SERIAL_PMA_PMD_SHIFT)
+#define IXGBE_AUTOC2_10G_XFI (0x1 << IXGBE_AUTOC2_10G_SERIAL_PMA_PMD_SHIFT)
+#define IXGBE_AUTOC2_10G_SFI (0x2 << IXGBE_AUTOC2_10G_SERIAL_PMA_PMD_SHIFT)
 
+
 /* LINKS Bit Masks */
-#define	IXGBE_LINKS_KX_AN_COMP	0x80000000
-#define	IXGBE_LINKS_UP		0x40000000
-#define	IXGBE_LINKS_SPEED	0x20000000
-#define	IXGBE_LINKS_MODE	0x18000000
-#define	IXGBE_LINKS_RX_MODE	0x06000000
-#define	IXGBE_LINKS_TX_MODE	0x01800000
-#define	IXGBE_LINKS_XGXS_EN	0x00400000
-#define	IXGBE_LINKS_SGMII_EN	0x02000000
-#define	IXGBE_LINKS_PCS_1G_EN	0x00200000
-#define	IXGBE_LINKS_1G_AN_EN	0x00100000
-#define	IXGBE_LINKS_KX_AN_IDLE	0x00080000
-#define	IXGBE_LINKS_1G_SYNC	0x00040000
-#define	IXGBE_LINKS_10G_ALIGN	0x00020000
-#define	IXGBE_LINKS_10G_LANE_SYNC 0x00017000
-#define	IXGBE_LINKS_TL_FAULT	0x00001000
-#define	IXGBE_LINKS_SIGNAL	0x00000F00
+#define IXGBE_LINKS_KX_AN_COMP  0x80000000
+#define IXGBE_LINKS_UP          0x40000000
+#define IXGBE_LINKS_SPEED       0x20000000
+#define IXGBE_LINKS_MODE        0x18000000
+#define IXGBE_LINKS_RX_MODE     0x06000000
+#define IXGBE_LINKS_TX_MODE     0x01800000
+#define IXGBE_LINKS_XGXS_EN     0x00400000
+#define IXGBE_LINKS_SGMII_EN    0x02000000
+#define IXGBE_LINKS_PCS_1G_EN   0x00200000
+#define IXGBE_LINKS_1G_AN_EN    0x00100000
+#define IXGBE_LINKS_KX_AN_IDLE  0x00080000
+#define IXGBE_LINKS_1G_SYNC     0x00040000
+#define IXGBE_LINKS_10G_ALIGN   0x00020000
+#define IXGBE_LINKS_10G_LANE_SYNC 0x00017000
+#define IXGBE_LINKS_TL_FAULT    0x00001000
+#define IXGBE_LINKS_SIGNAL      0x00000F00
 
-#define	IXGBE_LINKS_SPEED_82599		0x30000000
-#define	IXGBE_LINKS_SPEED_10G_82599	0x30000000
-#define	IXGBE_LINKS_SPEED_1G_82599	0x20000000
-#define	IXGBE_LINKS_SPEED_100_82599	0x10000000
-#define	IXGBE_LINK_UP_TIME		90 /* 9.0 Seconds */
-#define	IXGBE_AUTO_NEG_TIME		45 /* 4.5 Seconds */
+#define IXGBE_LINKS_SPEED_82599     0x30000000
+#define IXGBE_LINKS_SPEED_10G_82599 0x30000000
+#define IXGBE_LINKS_SPEED_1G_82599  0x20000000
+#define IXGBE_LINKS_SPEED_100_82599 0x10000000
+#define IXGBE_LINK_UP_TIME      90 /* 9.0 Seconds */
+#define IXGBE_AUTO_NEG_TIME     45 /* 4.5 Seconds */
 
-#define	IXGBE_LINKS2_AN_SUPPORTED	0x00000040
+#define IXGBE_LINKS2_AN_SUPPORTED   0x00000040
 
 /* PCS1GLSTA Bit Masks */
-#define	IXGBE_PCS1GLSTA_LINK_OK		1
-#define	IXGBE_PCS1GLSTA_SYNK_OK		0x10
-#define	IXGBE_PCS1GLSTA_AN_COMPLETE	0x10000
-#define	IXGBE_PCS1GLSTA_AN_PAGE_RX	0x20000
-#define	IXGBE_PCS1GLSTA_AN_TIMED_OUT	0x40000
-#define	IXGBE_PCS1GLSTA_AN_REMOTE_FAULT	0x80000
-#define	IXGBE_PCS1GLSTA_AN_ERROR_RWS	0x100000
+#define IXGBE_PCS1GLSTA_LINK_OK         1
+#define IXGBE_PCS1GLSTA_SYNK_OK         0x10
+#define IXGBE_PCS1GLSTA_AN_COMPLETE     0x10000
+#define IXGBE_PCS1GLSTA_AN_PAGE_RX      0x20000
+#define IXGBE_PCS1GLSTA_AN_TIMED_OUT    0x40000
+#define IXGBE_PCS1GLSTA_AN_REMOTE_FAULT 0x80000
+#define IXGBE_PCS1GLSTA_AN_ERROR_RWS    0x100000
 
-#define	IXGBE_PCS1GANA_SYM_PAUSE	0x80
-#define	IXGBE_PCS1GANA_ASM_PAUSE	0x100
+#define IXGBE_PCS1GANA_SYM_PAUSE        0x80
+#define IXGBE_PCS1GANA_ASM_PAUSE        0x100
 
 /* PCS1GLCTL Bit Masks */
-#define	IXGBE_PCS1GLCTL_AN_1G_TIMEOUT_EN 0x00040000 /* PCS 1G autoneg to en */
-#define	IXGBE_PCS1GLCTL_FLV_LINK_UP	1
-#define	IXGBE_PCS1GLCTL_FORCE_LINK	0x20
-#define	IXGBE_PCS1GLCTL_LOW_LINK_LATCH	0x40
-#define	IXGBE_PCS1GLCTL_AN_ENABLE	0x10000
-#define	IXGBE_PCS1GLCTL_AN_RESTART	0x20000
+#define IXGBE_PCS1GLCTL_AN_1G_TIMEOUT_EN  0x00040000 /* PCS 1G autoneg to en */
+#define IXGBE_PCS1GLCTL_FLV_LINK_UP     1
+#define IXGBE_PCS1GLCTL_FORCE_LINK      0x20
+#define IXGBE_PCS1GLCTL_LOW_LINK_LATCH  0x40
+#define IXGBE_PCS1GLCTL_AN_ENABLE       0x10000
+#define IXGBE_PCS1GLCTL_AN_RESTART      0x20000
 
 /* ANLP1 Bit Masks */
-#define	IXGBE_ANLP1_PAUSE		0x0C00
-#define	IXGBE_ANLP1_SYM_PAUSE		0x0400
-#define	IXGBE_ANLP1_ASM_PAUSE		0x0800
+#define IXGBE_ANLP1_PAUSE               0x0C00
+#define IXGBE_ANLP1_SYM_PAUSE           0x0400
+#define IXGBE_ANLP1_ASM_PAUSE           0x0800
+#define IXGBE_ANLP1_AN_STATE_MASK       0x000f0000
 
 /* SW Semaphore Register bitmasks */
-#define	IXGBE_SWSM_SMBI		0x00000001 /* Driver Semaphore bit */
-#define	IXGBE_SWSM_SWESMBI	0x00000002 /* FW Semaphore bit */
-#define	IXGBE_SWSM_WMNG		0x00000004 /* Wake MNG Clock */
-#define	IXGBE_SWFW_REGSMP	0x80000000 /* Register Semaphore bit 31 */
+#define IXGBE_SWSM_SMBI 0x00000001 /* Driver Semaphore bit */
+#define IXGBE_SWSM_SWESMBI 0x00000002 /* FW Semaphore bit */
+#define IXGBE_SWSM_WMNG 0x00000004 /* Wake MNG Clock */
+#define IXGBE_SWFW_REGSMP 0x80000000 /* Register Semaphore bit 31 */
 
 /* SW_FW_SYNC/GSSR definitions */
-#define	IXGBE_GSSR_EEP_SM	0x0001
-#define	IXGBE_GSSR_PHY0_SM	0x0002
-#define	IXGBE_GSSR_PHY1_SM	0x0004
-#define	IXGBE_GSSR_MAC_CSR_SM	0x0008
-#define	IXGBE_GSSR_FLASH_SM	0x0010
+#define IXGBE_GSSR_EEP_SM     0x0001
+#define IXGBE_GSSR_PHY0_SM    0x0002
+#define IXGBE_GSSR_PHY1_SM    0x0004
+#define IXGBE_GSSR_MAC_CSR_SM 0x0008
+#define IXGBE_GSSR_FLASH_SM   0x0010
 
 /* EEC Register */
-#define	IXGBE_EEC_SK		0x00000001 /* EEPROM Clock */
-#define	IXGBE_EEC_CS		0x00000002 /* EEPROM Chip Select */
-#define	IXGBE_EEC_DI		0x00000004 /* EEPROM Data In */
-#define	IXGBE_EEC_DO		0x00000008 /* EEPROM Data Out */
-#define	IXGBE_EEC_FWE_MASK	0x00000030 /* FLASH Write Enable */
-#define	IXGBE_EEC_FWE_DIS	0x00000010 /* Disable FLASH writes */
-#define	IXGBE_EEC_FWE_EN	0x00000020 /* Enable FLASH writes */
-#define	IXGBE_EEC_FWE_SHIFT 4
-#define	IXGBE_EEC_REQ		0x00000040 /* EEPROM Access Request */
-#define	IXGBE_EEC_GNT		0x00000080 /* EEPROM Access Grant */
-#define	IXGBE_EEC_PRES		0x00000100 /* EEPROM Present */
-#define	IXGBE_EEC_ARD		0x00000200 /* EEPROM Auto Read Done */
-#define	IXGBE_EEC_FLUP		0x00800000 /* Flash update command */
-#define	IXGBE_EEC_FLUDONE	0x04000000 /* Flash update done */
+#define IXGBE_EEC_SK        0x00000001 /* EEPROM Clock */
+#define IXGBE_EEC_CS        0x00000002 /* EEPROM Chip Select */
+#define IXGBE_EEC_DI        0x00000004 /* EEPROM Data In */
+#define IXGBE_EEC_DO        0x00000008 /* EEPROM Data Out */
+#define IXGBE_EEC_FWE_MASK  0x00000030 /* FLASH Write Enable */
+#define IXGBE_EEC_FWE_DIS   0x00000010 /* Disable FLASH writes */
+#define IXGBE_EEC_FWE_EN    0x00000020 /* Enable FLASH writes */
+#define IXGBE_EEC_FWE_SHIFT 4
+#define IXGBE_EEC_REQ       0x00000040 /* EEPROM Access Request */
+#define IXGBE_EEC_GNT       0x00000080 /* EEPROM Access Grant */
+#define IXGBE_EEC_PRES      0x00000100 /* EEPROM Present */
+#define IXGBE_EEC_ARD       0x00000200 /* EEPROM Auto Read Done */
+#define IXGBE_EEC_FLUP      0x00800000 /* Flash update command */
+#define IXGBE_EEC_SEC1VAL   0x02000000 /* Sector 1 Valid */
+#define IXGBE_EEC_FLUDONE   0x04000000 /* Flash update done */
 /* EEPROM Addressing bits based on type (0-small, 1-large) */
-#define	IXGBE_EEC_ADDR_SIZE	0x00000400
-#define	IXGBE_EEC_SIZE		0x00007800 /* EEPROM Size */
+#define IXGBE_EEC_ADDR_SIZE 0x00000400
+#define IXGBE_EEC_SIZE      0x00007800 /* EEPROM Size */
 
-#define	IXGBE_EEC_SIZE_SHIFT			11
-#define	IXGBE_EEPROM_WORD_SIZE_BASE_SHIFT	6
-#define	IXGBE_EEPROM_OPCODE_BITS		8
+#define IXGBE_EEC_SIZE_SHIFT               11
+#define IXGBE_EEPROM_WORD_SIZE_BASE_SHIFT  6
+#define IXGBE_EEPROM_OPCODE_BITS           8
 
+/* Part Number String Length */
+#define IXGBE_PBANUM_LENGTH 11
+
 /* Checksum and EEPROM pointers */
-#define	IXGBE_EEPROM_CHECKSUM	0x3F
-#define	IXGBE_EEPROM_SUM	0xBABA
-#define	IXGBE_PCIE_ANALOG_PTR	0x03
-#define	IXGBE_ATLAS0_CONFIG_PTR 0x04
-#define	IXGBE_PHY_PTR		0x04
-#define	IXGBE_ATLAS1_CONFIG_PTR 0x05
-#define	IXGBE_OPTION_ROM_PTR	0x05
-#define	IXGBE_PCIE_GENERAL_PTR  0x06
-#define	IXGBE_PCIE_CONFIG0_PTR  0x07
-#define	IXGBE_PCIE_CONFIG1_PTR  0x08
-#define	IXGBE_CORE0_PTR		0x09
-#define	IXGBE_CORE1_PTR		0x0A
-#define	IXGBE_MAC0_PTR		0x0B
-#define	IXGBE_MAC1_PTR		0x0C
-#define	IXGBE_CSR0_CONFIG_PTR	0x0D
-#define	IXGBE_CSR1_CONFIG_PTR	0x0E
-#define	IXGBE_FW_PTR		0x0F
-#define	IXGBE_PBANUM0_PTR	0x15
-#define	IXGBE_PBANUM1_PTR	0x16
-#define	IXGBE_SAN_MAC_ADDR_PTR	0x28
-#define	IXGBE_DEVICE_CAPS	0x2C
-#define	IXGBE_SERIAL_NUMBER_MAC_ADDR	0x11
-#define	IXGBE_PCIE_MSIX_82599_CAPS	0x72
-#define	IXGBE_PCIE_MSIX_82598_CAPS	0x62
+#define IXGBE_PBANUM_PTR_GUARD  0xFAFA
+#define IXGBE_EEPROM_CHECKSUM   0x3F
+#define IXGBE_EEPROM_SUM        0xBABA
+#define IXGBE_PCIE_ANALOG_PTR   0x03
+#define IXGBE_ATLAS0_CONFIG_PTR 0x04
+#define IXGBE_PHY_PTR           0x04
+#define IXGBE_ATLAS1_CONFIG_PTR 0x05
+#define IXGBE_OPTION_ROM_PTR    0x05
+#define IXGBE_PCIE_GENERAL_PTR  0x06
+#define IXGBE_PCIE_CONFIG0_PTR  0x07
+#define IXGBE_PCIE_CONFIG1_PTR  0x08
+#define IXGBE_CORE0_PTR         0x09
+#define IXGBE_CORE1_PTR         0x0A
+#define IXGBE_MAC0_PTR          0x0B
+#define IXGBE_MAC1_PTR          0x0C
+#define IXGBE_CSR0_CONFIG_PTR   0x0D
+#define IXGBE_CSR1_CONFIG_PTR   0x0E
+#define IXGBE_FW_PTR            0x0F
+#define IXGBE_PBANUM0_PTR       0x15
+#define IXGBE_PBANUM1_PTR       0x16
+#define IXGBE_SAN_MAC_ADDR_PTR  0x28
+#define IXGBE_DEVICE_CAPS       0x2C
+#define IXGBE_SERIAL_NUMBER_MAC_ADDR 0x11
+#define IXGBE_PCIE_MSIX_82599_CAPS  0x72
+#define IXGBE_PCIE_MSIX_82598_CAPS  0x62
 
 /* MSI-X capability fields masks */
-#define	IXGBE_PCIE_MSIX_TBL_SZ_MASK	0x7FF
+#define IXGBE_PCIE_MSIX_TBL_SZ_MASK     0x7FF
 
 /* Legacy EEPROM word offsets */
-#define	IXGBE_ISCSI_BOOT_CAPS		0x0033
-#define	IXGBE_ISCSI_SETUP_PORT_0	0x0030
-#define	IXGBE_ISCSI_SETUP_PORT_1	0x0034
+#define IXGBE_ISCSI_BOOT_CAPS           0x0033
+#define IXGBE_ISCSI_SETUP_PORT_0        0x0030
+#define IXGBE_ISCSI_SETUP_PORT_1        0x0034
 
 /* EEPROM Commands - SPI */
-#define	IXGBE_EEPROM_MAX_RETRY_SPI	5000 /* Max wait 5ms for RDY signal */
-#define	IXGBE_EEPROM_STATUS_RDY_SPI	0x01
-#define	IXGBE_EEPROM_READ_OPCODE_SPI	0x03  /* EEPROM read opcode */
-#define	IXGBE_EEPROM_WRITE_OPCODE_SPI	0x02  /* EEPROM write opcode */
-#define	IXGBE_EEPROM_A8_OPCODE_SPI	0x08  /* opcode bit-3 = addr bit-8 */
-#define	IXGBE_EEPROM_WREN_OPCODE_SPI	0x06  /* EEPROM set Write Ena latch */
+#define IXGBE_EEPROM_MAX_RETRY_SPI      5000 /* Max wait 5ms for RDY signal */
+#define IXGBE_EEPROM_STATUS_RDY_SPI     0x01
+#define IXGBE_EEPROM_READ_OPCODE_SPI    0x03  /* EEPROM read opcode */
+#define IXGBE_EEPROM_WRITE_OPCODE_SPI   0x02  /* EEPROM write opcode */
+#define IXGBE_EEPROM_A8_OPCODE_SPI      0x08  /* opcode bit-3 = addr bit-8 */
+#define IXGBE_EEPROM_WREN_OPCODE_SPI    0x06  /* EEPROM set Write Ena latch */
 /* EEPROM reset Write Enable latch */
-#define	IXGBE_EEPROM_WRDI_OPCODE_SPI	0x04
-#define	IXGBE_EEPROM_RDSR_OPCODE_SPI	0x05  /* EEPROM read Status reg */
-#define	IXGBE_EEPROM_WRSR_OPCODE_SPI	0x01  /* EEPROM write Status reg */
-#define	IXGBE_EEPROM_ERASE4K_OPCODE_SPI 0x20  /* EEPROM ERASE 4KB */
-#define	IXGBE_EEPROM_ERASE64K_OPCODE_SPI 0xD8  /* EEPROM ERASE 64KB */
-#define	IXGBE_EEPROM_ERASE256_OPCODE_SPI 0xDB  /* EEPROM ERASE 256B */
+#define IXGBE_EEPROM_WRDI_OPCODE_SPI    0x04
+#define IXGBE_EEPROM_RDSR_OPCODE_SPI    0x05  /* EEPROM read Status reg */
+#define IXGBE_EEPROM_WRSR_OPCODE_SPI    0x01  /* EEPROM write Status reg */
+#define IXGBE_EEPROM_ERASE4K_OPCODE_SPI 0x20  /* EEPROM ERASE 4KB */
+#define IXGBE_EEPROM_ERASE64K_OPCODE_SPI  0xD8  /* EEPROM ERASE 64KB */
+#define IXGBE_EEPROM_ERASE256_OPCODE_SPI  0xDB  /* EEPROM ERASE 256B */
 
 /* EEPROM Read Register */
-#define	IXGBE_EEPROM_RW_REG_DATA	16 /* data offset in EEPROM read reg */
-#define	IXGBE_EEPROM_RW_REG_DONE	2 /* Offset to READ done bit */
-#define	IXGBE_EEPROM_RW_REG_START	1 /* First bit to start operation */
-#define	IXGBE_EEPROM_RW_ADDR_SHIFT	2 /* Shift to the address bits */
-#define	IXGBE_NVM_POLL_WRITE	1 /* Flag for polling for write complete */
-#define	IXGBE_NVM_POLL_READ	0 /* Flag for polling for read complete */
+#define IXGBE_EEPROM_RW_REG_DATA   16 /* data offset in EEPROM read reg */
+#define IXGBE_EEPROM_RW_REG_DONE   2  /* Offset to READ done bit */
+#define IXGBE_EEPROM_RW_REG_START  1  /* First bit to start operation */
+#define IXGBE_EEPROM_RW_ADDR_SHIFT 2  /* Shift to the address bits */
+#define IXGBE_NVM_POLL_WRITE       1  /* Flag for polling for write complete */
+#define IXGBE_NVM_POLL_READ        0  /* Flag for polling for read complete */
 
-#define	IXGBE_ETH_LENGTH_OF_ADDRESS   6
+#define IXGBE_ETH_LENGTH_OF_ADDRESS   6
 
 #ifndef IXGBE_EEPROM_GRANT_ATTEMPTS
-#define	IXGBE_EEPROM_GRANT_ATTEMPTS 1000 /* EEPROM # attempts to gain grant */
+#define IXGBE_EEPROM_GRANT_ATTEMPTS 1000 /* EEPROM # attempts to gain grant */
 #endif
 
-#ifndef IXGBE_EERD_EEWR_ATTEMPTS
-/*
- * Number of 5 microseconds we wait for EERD read and
- * EERW write to complete
- */
-#define	IXGBE_EERD_EEWR_ATTEMPTS 100000
-#endif
+/* Number of 5 microseconds we wait for EERD read and
+ * EERW write to complete */
+#define IXGBE_EERD_EEWR_ATTEMPTS 100000
 
-#ifndef	IXGBE_FLUDONE_ATTEMPTS
 /* # attempts we wait for flush update to complete */
-#define	IXGBE_FLUDONE_ATTEMPTS 20000
-#endif
+#define IXGBE_FLUDONE_ATTEMPTS 20000
 
-#define	IXGBE_PCIE_CTRL2		0x5	/* PCIe Control 2 Offset */
-#define	IXGBE_PCIE_CTRL2_DUMMY_ENABLE	0x8	/* Dummy Function Enable */
-#define	IXGBE_PCIE_CTRL2_LAN_DISABLE	0x2	/* LAN PCI Disable */
-#define	IXGBE_PCIE_CTRL2_DISABLE_SELECT	0x1	/* LAN Disable Select */
+#define IXGBE_PCIE_CTRL2                 0x5   /* PCIe Control 2 Offset */
+#define IXGBE_PCIE_CTRL2_DUMMY_ENABLE    0x8   /* Dummy Function Enable */
+#define IXGBE_PCIE_CTRL2_LAN_DISABLE     0x2   /* LAN PCI Disable */
+#define IXGBE_PCIE_CTRL2_DISABLE_SELECT  0x1   /* LAN Disable Select */
 
-#define	IXGBE_SAN_MAC_ADDR_PORT0_OFFSET	0x0
-#define	IXGBE_SAN_MAC_ADDR_PORT1_OFFSET	0x3
-#define	IXGBE_DEVICE_CAPS_ALLOW_ANY_SFP	0x1
-#define	IXGBE_DEVICE_CAPS_FCOE_OFFLOADS	0x2
-#define	IXGBE_FW_PASSTHROUGH_PATCH_CONFIG_PTR	0x4
-#define	IXGBE_FW_PATCH_VERSION_4	0x7
-#define	IXGBE_FCOE_IBA_CAPS_BLK_PTR	0x33 /* iSCSI/FCOE block */
-#define	IXGBE_FCOE_IBA_CAPS_FCOE	0x20 /* FCOE flags */
-#define	IXGBE_ISCSI_FCOE_BLK_PTR	0x17 /* iSCSI/FCOE block */
-#define	IXGBE_ISCSI_FCOE_FLAGS_OFFSET	0x0  /* FCOE flags */
-#define	IXGBE_ISCSI_FCOE_FLAGS_ENABLE	0x1  /* FCOE flags enable bit */
-#define	IXGBE_ALT_SAN_MAC_ADDR_BLK_PTR	0x27 /* Alt. SAN MAC block */
-#define	IXGBE_ALT_SAN_MAC_ADDR_CAPS_OFFSET  0x0 /* Alt. SAN MAC capability */
-#define	IXGBE_ALT_SAN_MAC_ADDR_PORT0_OFFSET 0x1 /* Alt. SAN MAC 0 offset */
-#define	IXGBE_ALT_SAN_MAC_ADDR_PORT1_OFFSET 0x4 /* Alt. SAN MAC 1 offset */
-#define	IXGBE_ALT_SAN_MAC_ADDR_WWNN_OFFSET  0x7 /* Alt. WWNN prefix offset */
-#define	IXGBE_ALT_SAN_MAC_ADDR_WWPN_OFFSET  0x8 /* Alt. WWPN prefix offset */
-#define	IXGBE_ALT_SAN_MAC_ADDR_CAPS_SANMAC  0x0 /* Alt. SAN MAC exists */
-#define	IXGBE_ALT_SAN_MAC_ADDR_CAPS_ALTWWN  0x1 /* Alt. WWN base exists */
+#define IXGBE_SAN_MAC_ADDR_PORT0_OFFSET  0x0
+#define IXGBE_SAN_MAC_ADDR_PORT1_OFFSET  0x3
+#define IXGBE_DEVICE_CAPS_ALLOW_ANY_SFP  0x1
+#define IXGBE_DEVICE_CAPS_FCOE_OFFLOADS  0x2
+#define IXGBE_FW_LESM_PARAMETERS_PTR     0x2
+#define IXGBE_FW_LESM_STATE_1            0x1
+#define IXGBE_FW_LESM_STATE_ENABLED      0x8000 /* LESM Enable bit */
+#define IXGBE_FW_PASSTHROUGH_PATCH_CONFIG_PTR   0x4
+#define IXGBE_FW_PATCH_VERSION_4         0x7
+#define IXGBE_FCOE_IBA_CAPS_BLK_PTR         0x33 /* iSCSI/FCOE block */
+#define IXGBE_FCOE_IBA_CAPS_FCOE            0x20 /* FCOE flags */
+#define IXGBE_ISCSI_FCOE_BLK_PTR            0x17 /* iSCSI/FCOE block */
+#define IXGBE_ISCSI_FCOE_FLAGS_OFFSET       0x0  /* FCOE flags */
+#define IXGBE_ISCSI_FCOE_FLAGS_ENABLE       0x1  /* FCOE flags enable bit */
+#define IXGBE_ALT_SAN_MAC_ADDR_BLK_PTR      0x27 /* Alt. SAN MAC block */
+#define IXGBE_ALT_SAN_MAC_ADDR_CAPS_OFFSET  0x0  /* Alt. SAN MAC capability */
+#define IXGBE_ALT_SAN_MAC_ADDR_PORT0_OFFSET 0x1  /* Alt. SAN MAC 0 offset */
+#define IXGBE_ALT_SAN_MAC_ADDR_PORT1_OFFSET 0x4  /* Alt. SAN MAC 1 offset */
+#define IXGBE_ALT_SAN_MAC_ADDR_WWNN_OFFSET  0x7  /* Alt. WWNN prefix offset */
+#define IXGBE_ALT_SAN_MAC_ADDR_WWPN_OFFSET  0x8  /* Alt. WWPN prefix offset */
+#define IXGBE_ALT_SAN_MAC_ADDR_CAPS_SANMAC  0x0  /* Alt. SAN MAC exists */
+#define IXGBE_ALT_SAN_MAC_ADDR_CAPS_ALTWWN  0x1  /* Alt. WWN base exists */
 
 /* PCI Bus Info */
-#define	IXGBE_PCI_DEVICE_STATUS		0xAA
-#define	IXGBE_PCI_DEVICE_STATUS_TRANSACTION_PENDING	0x0020
-#define	IXGBE_PCI_LINK_STATUS		0xB2
-#define	IXGBE_PCI_DEVICE_CONTROL2	0xC8
-#define	IXGBE_PCI_LINK_WIDTH		0x3F0
-#define	IXGBE_PCI_LINK_WIDTH_1		0x10
-#define	IXGBE_PCI_LINK_WIDTH_2		0x20
-#define	IXGBE_PCI_LINK_WIDTH_4		0x40
-#define	IXGBE_PCI_LINK_WIDTH_8		0x80
-#define	IXGBE_PCI_LINK_SPEED		0xF
-#define	IXGBE_PCI_LINK_SPEED_2500	0x1
-#define	IXGBE_PCI_LINK_SPEED_5000	0x2
-#define	IXGBE_PCI_HEADER_TYPE_REGISTER  0x0E
-#define	IXGBE_PCI_HEADER_TYPE_MULTIFUNC 0x80
-#define	IXGBE_PCI_DEVICE_CONTROL2_16ms	0x0005
+#define IXGBE_PCI_DEVICE_STATUS   0xAA
+#define IXGBE_PCI_DEVICE_STATUS_TRANSACTION_PENDING   0x0020
+#define IXGBE_PCI_LINK_STATUS     0xB2
+#define IXGBE_PCI_DEVICE_CONTROL2 0xC8
+#define IXGBE_PCI_LINK_WIDTH      0x3F0
+#define IXGBE_PCI_LINK_WIDTH_1    0x10
+#define IXGBE_PCI_LINK_WIDTH_2    0x20
+#define IXGBE_PCI_LINK_WIDTH_4    0x40
+#define IXGBE_PCI_LINK_WIDTH_8    0x80
+#define IXGBE_PCI_LINK_SPEED      0xF
+#define IXGBE_PCI_LINK_SPEED_2500 0x1
+#define IXGBE_PCI_LINK_SPEED_5000 0x2
+#define IXGBE_PCI_HEADER_TYPE_REGISTER  0x0E
+#define IXGBE_PCI_HEADER_TYPE_MULTIFUNC 0x80
+#define IXGBE_PCI_DEVICE_CONTROL2_16ms  0x0005
 
 /* Number of 100 microseconds we wait for PCI Express master disable */
-#define	IXGBE_PCI_MASTER_DISABLE_TIMEOUT 800
+#define IXGBE_PCI_MASTER_DISABLE_TIMEOUT 800
 
-/* Check whether address is multicast. This is little-endian specific check. */
-#define	IXGBE_IS_MULTICAST(Address) \
-	(bool)(((u8 *)(Address))[0] & ((u8)0x01))
+/* Check whether address is multicast.  This is little-endian specific check.*/
+#define IXGBE_IS_MULTICAST(Address) \
+                (bool)(((u8 *)(Address))[0] & ((u8)0x01))
 
 /* Check whether an address is broadcast. */
-#define	IXGBE_IS_BROADCAST(Address)		\
-	((((u8 *)(Address))[0] == ((u8)0xff)) && \
-	(((u8 *)(Address))[1] == ((u8)0xff)))
+#define IXGBE_IS_BROADCAST(Address)                      \
+                ((((u8 *)(Address))[0] == ((u8)0xff)) && \
+                (((u8 *)(Address))[1] == ((u8)0xff)))
 
 /* RAH */
-#define	IXGBE_RAH_VIND_MASK		0x003C0000
-#define	IXGBE_RAH_VIND_SHIFT		18
-#define	IXGBE_RAH_AV			0x80000000
-#define	IXGBE_CLEAR_VMDQ_ALL		0xFFFFFFFF
+#define IXGBE_RAH_VIND_MASK     0x003C0000
+#define IXGBE_RAH_VIND_SHIFT    18
+#define IXGBE_RAH_AV            0x80000000
+#define IXGBE_CLEAR_VMDQ_ALL    0xFFFFFFFF
 
 /* Header split receive */
-#define	IXGBE_RFCTL_ISCSI_DIS		0x00000001
-#define	IXGBE_RFCTL_ISCSI_DWC_MASK	0x0000003E
-#define	IXGBE_RFCTL_ISCSI_DWC_SHIFT	1
-#define	IXGBE_RFCTL_NFSW_DIS		0x00000040
-#define	IXGBE_RFCTL_NFSR_DIS		0x00000080
-#define	IXGBE_RFCTL_NFS_VER_MASK	0x00000300
-#define	IXGBE_RFCTL_NFS_VER_SHIFT	8
-#define	IXGBE_RFCTL_NFS_VER_2		0
-#define	IXGBE_RFCTL_NFS_VER_3		1
-#define	IXGBE_RFCTL_NFS_VER_4		2
-#define	IXGBE_RFCTL_IPV6_DIS		0x00000400
-#define	IXGBE_RFCTL_IPV6_XSUM_DIS	0x00000800
-#define	IXGBE_RFCTL_IPFRSP_DIS		0x00004000
-#define	IXGBE_RFCTL_IPV6_EX_DIS		0x00010000
-#define	IXGBE_RFCTL_NEW_IPV6_EXT_DIS	0x00020000
+#define IXGBE_RFCTL_ISCSI_DIS       0x00000001
+#define IXGBE_RFCTL_ISCSI_DWC_MASK  0x0000003E
+#define IXGBE_RFCTL_ISCSI_DWC_SHIFT 1
+#define IXGBE_RFCTL_NFSW_DIS        0x00000040
+#define IXGBE_RFCTL_NFSR_DIS        0x00000080
+#define IXGBE_RFCTL_NFS_VER_MASK    0x00000300
+#define IXGBE_RFCTL_NFS_VER_SHIFT   8
+#define IXGBE_RFCTL_NFS_VER_2       0
+#define IXGBE_RFCTL_NFS_VER_3       1
+#define IXGBE_RFCTL_NFS_VER_4       2
+#define IXGBE_RFCTL_IPV6_DIS        0x00000400
+#define IXGBE_RFCTL_IPV6_XSUM_DIS   0x00000800
+#define IXGBE_RFCTL_IPFRSP_DIS      0x00004000
+#define IXGBE_RFCTL_IPV6_EX_DIS     0x00010000
+#define IXGBE_RFCTL_NEW_IPV6_EXT_DIS 0x00020000
 
 /* Transmit Config masks */
-#define	IXGBE_TXDCTL_ENABLE	0x02000000 /* Enable specific Tx Queue */
-#define	IXGBE_TXDCTL_SWFLSH	0x04000000 /* Tx Desc. write-back flushing */
-#define	IXGBE_TXDCTL_WTHRESH_SHIFT	16 /* shift to WTHRESH bits */
+#define IXGBE_TXDCTL_ENABLE     0x02000000 /* Enable specific Tx Queue */
+#define IXGBE_TXDCTL_SWFLSH     0x04000000 /* Tx Desc. write-back flushing */
+#define IXGBE_TXDCTL_WTHRESH_SHIFT      16 /* shift to WTHRESH bits */
 /* Enable short packet padding to 64 bytes */
-#define	IXGBE_TX_PAD_ENABLE	0x00000400
-#define	IXGBE_JUMBO_FRAME_ENABLE 0x00000004  /* Allow jumbo frames */
+#define IXGBE_TX_PAD_ENABLE     0x00000400
+#define IXGBE_JUMBO_FRAME_ENABLE 0x00000004  /* Allow jumbo frames */
 /* This allows for 16K packets + 4k for vlan */
-#define	IXGBE_MAX_FRAME_SZ	0x40040000
+#define IXGBE_MAX_FRAME_SZ      0x40040000
 
-#define	IXGBE_TDWBAL_HEAD_WB_ENABLE	0x1 /* Tx head write-back enable */
-#define	IXGBE_TDWBAL_SEQNUM_WB_ENABLE	0x2 /* Tx seq# write-back enable */
+#define IXGBE_TDWBAL_HEAD_WB_ENABLE   0x1      /* Tx head write-back enable */
+#define IXGBE_TDWBAL_SEQNUM_WB_ENABLE 0x2      /* Tx seq# write-back enable */
 
 /* Receive Config masks */
-#define	IXGBE_RXCTRL_RXEN	0x00000001  /* Enable Receiver */
-#define	IXGBE_RXCTRL_DMBYPS	0x00000002  /* Descriptor Monitor Bypass */
-#define	IXGBE_RXDCTL_ENABLE	0x02000000  /* Enable specific Rx Queue */
-#define	IXGBE_RXDCTL_VME	0x40000000  /* VLAN mode enable */
+#define IXGBE_RXCTRL_RXEN       0x00000001  /* Enable Receiver */
+#define IXGBE_RXCTRL_DMBYPS     0x00000002  /* Descriptor Monitor Bypass */
+#define IXGBE_RXDCTL_ENABLE     0x02000000  /* Enable specific Rx Queue */
+#define IXGBE_RXDCTL_VME        0x40000000  /* VLAN mode enable */
 
-#define	IXGBE_FCTRL_SBP 0x00000002 /* Store Bad Packet */
-#define	IXGBE_FCTRL_MPE 0x00000100 /* Multicast Promiscuous Ena	*/
-#define	IXGBE_FCTRL_UPE 0x00000200 /* Unicast Promiscuous Ena */
-#define	IXGBE_FCTRL_BAM 0x00000400 /* Broadcast Accept Mode */
-#define	IXGBE_FCTRL_PMCF 0x00001000 /* Pass MAC Control Frames */
-#define	IXGBE_FCTRL_DPF 0x00002000 /* Discard Pause Frame */
+#define IXGBE_FCTRL_SBP 0x00000002 /* Store Bad Packet */
+#define IXGBE_FCTRL_MPE 0x00000100 /* Multicast Promiscuous Ena*/
+#define IXGBE_FCTRL_UPE 0x00000200 /* Unicast Promiscuous Ena */
+#define IXGBE_FCTRL_BAM 0x00000400 /* Broadcast Accept Mode */
+#define IXGBE_FCTRL_PMCF 0x00001000 /* Pass MAC Control Frames */
+#define IXGBE_FCTRL_DPF 0x00002000 /* Discard Pause Frame */
 /* Receive Priority Flow Control Enable */
-#define	IXGBE_FCTRL_RPFCE 0x00004000
-#define	IXGBE_FCTRL_RFCE 0x00008000 /* Receive Flow Control Ena */
-#define	IXGBE_MFLCN_PMCF	0x00000001 /* Pass MAC Control Frames */
-#define	IXGBE_MFLCN_DPF		0x00000002 /* Discard Pause Frame */
-#define	IXGBE_MFLCN_RPFCE	0x00000004 /* Receive Priority FC Enable */
-#define	IXGBE_MFLCN_RFCE	0x00000008 /* Receive FC Enable */
+#define IXGBE_FCTRL_RPFCE 0x00004000
+#define IXGBE_FCTRL_RFCE 0x00008000 /* Receive Flow Control Ena */
+#define IXGBE_MFLCN_PMCF        0x00000001 /* Pass MAC Control Frames */
+#define IXGBE_MFLCN_DPF         0x00000002 /* Discard Pause Frame */
+#define IXGBE_MFLCN_RPFCE       0x00000004 /* Receive Priority FC Enable */
+#define IXGBE_MFLCN_RFCE        0x00000008 /* Receive FC Enable */
 
 /* Multiple Receive Queue Control */
-#define	IXGBE_MRQC_RSSEN		0x00000001  /* RSS Enable */
-#define	IXGBE_MRQC_MRQE_MASK		0xF /* Bits 3:0 */
-#define	IXGBE_MRQC_RT8TCEN		0x00000002 /* 8 TC no RSS */
-#define	IXGBE_MRQC_RT4TCEN		0x00000003 /* 4 TC no RSS */
-#define	IXGBE_MRQC_RTRSS8TCEN		0x00000004 /* 8 TC w/ RSS */
-#define	IXGBE_MRQC_RTRSS4TCEN		0x00000005 /* 4 TC w/ RSS */
-#define	IXGBE_MRQC_VMDQEN		0x00000008 /* VMDq2 64 pools no RSS */
-#define	IXGBE_MRQC_VMDQRSS32EN		0x0000000A /* VMDq2 32 pools w/ RSS */
-#define	IXGBE_MRQC_VMDQRSS64EN		0x0000000B /* VMDq2 64 pools w/ RSS */
-#define	IXGBE_MRQC_VMDQRT8TCEN		0x0000000C /* VMDq2/RT 16 pool 8 TC */
-#define	IXGBE_MRQC_VMDQRT4TCEN		0x0000000D /* VMDq2/RT 32 pool 4 TC */
-#define	IXGBE_MRQC_RSS_FIELD_MASK	0xFFFF0000
-#define	IXGBE_MRQC_RSS_FIELD_IPV4_TCP	0x00010000
-#define	IXGBE_MRQC_RSS_FIELD_IPV4	0x00020000
-#define	IXGBE_MRQC_RSS_FIELD_IPV6_EX_TCP 0x00040000
-#define	IXGBE_MRQC_RSS_FIELD_IPV6_EX	0x00080000
-#define	IXGBE_MRQC_RSS_FIELD_IPV6	0x00100000
-#define	IXGBE_MRQC_RSS_FIELD_IPV6_TCP	0x00200000
-#define	IXGBE_MRQC_RSS_FIELD_IPV4_UDP	0x00400000
-#define	IXGBE_MRQC_RSS_FIELD_IPV6_UDP	0x00800000
-#define	IXGBE_MRQC_RSS_FIELD_IPV6_EX_UDP 0x01000000
-#define	IXGBE_MRQC_L3L4TXSWEN		0x00008000
+#define IXGBE_MRQC_RSSEN                 0x00000001  /* RSS Enable */
+#define IXGBE_MRQC_MRQE_MASK                    0xF /* Bits 3:0 */
+#define IXGBE_MRQC_RT8TCEN               0x00000002 /* 8 TC no RSS */
+#define IXGBE_MRQC_RT4TCEN               0x00000003 /* 4 TC no RSS */
+#define IXGBE_MRQC_RTRSS8TCEN            0x00000004 /* 8 TC w/ RSS */
+#define IXGBE_MRQC_RTRSS4TCEN            0x00000005 /* 4 TC w/ RSS */
+#define IXGBE_MRQC_VMDQEN                0x00000008 /* VMDq2 64 pools no RSS */
+#define IXGBE_MRQC_VMDQRSS32EN           0x0000000A /* VMDq2 32 pools w/ RSS */
+#define IXGBE_MRQC_VMDQRSS64EN           0x0000000B /* VMDq2 64 pools w/ RSS */
+#define IXGBE_MRQC_VMDQRT8TCEN           0x0000000C /* VMDq2/RT 16 pool 8 TC */
+#define IXGBE_MRQC_VMDQRT4TCEN           0x0000000D /* VMDq2/RT 32 pool 4 TC */
+#define IXGBE_MRQC_RSS_FIELD_MASK        0xFFFF0000
+#define IXGBE_MRQC_RSS_FIELD_IPV4_TCP    0x00010000
+#define IXGBE_MRQC_RSS_FIELD_IPV4        0x00020000
+#define IXGBE_MRQC_RSS_FIELD_IPV6_EX_TCP 0x00040000
+#define IXGBE_MRQC_RSS_FIELD_IPV6_EX     0x00080000
+#define IXGBE_MRQC_RSS_FIELD_IPV6        0x00100000
+#define IXGBE_MRQC_RSS_FIELD_IPV6_TCP    0x00200000
+#define IXGBE_MRQC_RSS_FIELD_IPV4_UDP    0x00400000
+#define IXGBE_MRQC_RSS_FIELD_IPV6_UDP    0x00800000
+#define IXGBE_MRQC_RSS_FIELD_IPV6_EX_UDP 0x01000000
+#define IXGBE_MRQC_L3L4TXSWEN            0x00008000
 
 /* Queue Drop Enable */
-#define	IXGBE_QDE_ENABLE	0x00000001
-#define	IXGBE_QDE_IDX_MASK	0x00007F00
-#define	IXGBE_QDE_IDX_SHIFT	8
+#define IXGBE_QDE_ENABLE     0x00000001
+#define IXGBE_QDE_IDX_MASK   0x00007F00
+#define IXGBE_QDE_IDX_SHIFT           8
 
-#define	IXGBE_TXD_POPTS_IXSM	0x01	/* Insert IP checksum */
-#define	IXGBE_TXD_POPTS_TXSM	0x02	/* Insert TCP/UDP checksum */
-#define	IXGBE_TXD_CMD_EOP	0x01000000 /* End of Packet */
-#define	IXGBE_TXD_CMD_IFCS	0x02000000 /* Insert FCS (Ethernet CRC) */
-#define	IXGBE_TXD_CMD_IC	0x04000000 /* Insert Checksum */
-#define	IXGBE_TXD_CMD_RS	0x08000000 /* Report Status */
-#define	IXGBE_TXD_CMD_DEXT	0x20000000
-				/* Descriptor extension (0 = legacy) */
-#define	IXGBE_TXD_CMD_VLE	0x40000000 /* Add VLAN tag */
-#define	IXGBE_TXD_STAT_DD	0x00000001 /* Descriptor Done */
+#define IXGBE_TXD_POPTS_IXSM 0x01       /* Insert IP checksum */
+#define IXGBE_TXD_POPTS_TXSM 0x02       /* Insert TCP/UDP checksum */
+#define IXGBE_TXD_CMD_EOP    0x01000000 /* End of Packet */
+#define IXGBE_TXD_CMD_IFCS   0x02000000 /* Insert FCS (Ethernet CRC) */
+#define IXGBE_TXD_CMD_IC     0x04000000 /* Insert Checksum */
+#define IXGBE_TXD_CMD_RS     0x08000000 /* Report Status */
+#define IXGBE_TXD_CMD_DEXT   0x20000000 /* Descriptor extension (0 = legacy) */
+#define IXGBE_TXD_CMD_VLE    0x40000000 /* Add VLAN tag */
+#define IXGBE_TXD_STAT_DD    0x00000001 /* Descriptor Done */
 
-#define	IXGBE_RXDADV_IPSEC_STATUS_SECP			0x00020000
-#define	IXGBE_RXDADV_IPSEC_ERROR_INVALID_PROTOCOL	0x08000000
-#define	IXGBE_RXDADV_IPSEC_ERROR_INVALID_LENGTH		0x10000000
-#define	IXGBE_RXDADV_IPSEC_ERROR_AUTH_FAILED		0x18000000
-#define	IXGBE_RXDADV_IPSEC_ERROR_BIT_MASK		0x18000000
-
+#define IXGBE_RXDADV_IPSEC_STATUS_SECP                  0x00020000
+#define IXGBE_RXDADV_IPSEC_ERROR_INVALID_PROTOCOL       0x08000000
+#define IXGBE_RXDADV_IPSEC_ERROR_INVALID_LENGTH         0x10000000
+#define IXGBE_RXDADV_IPSEC_ERROR_AUTH_FAILED            0x18000000
+#define IXGBE_RXDADV_IPSEC_ERROR_BIT_MASK               0x18000000
 /* Multiple Transmit Queue Command Register */
-#define	IXGBE_MTQC_RT_ENA	0x1 /* DCB Enable */
-#define	IXGBE_MTQC_VT_ENA	0x2 /* VMDQ2 Enable */
-#define	IXGBE_MTQC_64Q_1PB	0x0 /* 64 queues 1 pack buffer */
-#define	IXGBE_MTQC_32VF		0x8 /* 4 TX Queues per pool w/32VF's */
-#define	IXGBE_MTQC_64VF		0x4 /* 2 TX Queues per pool w/64VF's */
-#define	IXGBE_MTQC_4TC_4TQ	0x8 /* 4 TC if RT_ENA and VT_ENA */
-#define	IXGBE_MTQC_8TC_8TQ	0xC /* 8 TC if RT_ENA or 8 TQ if VT_ENA */
+#define IXGBE_MTQC_RT_ENA       0x1 /* DCB Enable */
+#define IXGBE_MTQC_VT_ENA       0x2 /* VMDQ2 Enable */
+#define IXGBE_MTQC_64Q_1PB      0x0 /* 64 queues 1 pack buffer */
+#define IXGBE_MTQC_32VF         0x8 /* 4 TX Queues per pool w/32VF's */
+#define IXGBE_MTQC_64VF         0x4 /* 2 TX Queues per pool w/64VF's */
+#define IXGBE_MTQC_4TC_4TQ      0x8 /* 4 TC if RT_ENA and VT_ENA */
+#define IXGBE_MTQC_8TC_8TQ      0xC /* 8 TC if RT_ENA or 8 TQ if VT_ENA */
 
 /* Receive Descriptor bit definitions */
-#define	IXGBE_RXD_STAT_DD	0x01    /* Descriptor Done */
-#define	IXGBE_RXD_STAT_EOP	0x02    /* End of Packet */
-#define	IXGBE_RXD_STAT_FLM	0x04    /* FDir Match */
-#define	IXGBE_RXD_STAT_VP	0x08    /* IEEE VLAN Packet */
-#define	IXGBE_RXDADV_NEXTP_MASK	0x000FFFF0 /* Next Descriptor Index */
-#define	IXGBE_RXDADV_NEXTP_SHIFT 0x00000004
-#define	IXGBE_RXD_STAT_UDPCS	0x10    /* UDP xsum calculated */
-#define	IXGBE_RXD_STAT_L4CS	0x20    /* L4 xsum calculated */
-#define	IXGBE_RXD_STAT_IPCS	0x40    /* IP xsum calculated */
-#define	IXGBE_RXD_STAT_PIF	0x80    /* passed in-exact filter */
-#define	IXGBE_RXD_STAT_CRCV	0x100   /* Speculative CRC Valid */
-#define	IXGBE_RXD_STAT_VEXT	0x200   /* 1st VLAN found */
-#define	IXGBE_RXD_STAT_UDPV	0x400   /* Valid UDP checksum */
-#define	IXGBE_RXD_STAT_DYNINT	0x800   /* Pkt caused INT via DYNINT */
-#define	IXGBE_RXD_STAT_LLINT	0x800   /* Pkt caused Low Latency Interrupt */
-#define	IXGBE_RXD_STAT_TS	0x10000 /* Time Stamp */
-#define	IXGBE_RXD_STAT_SECP	0x20000 /* Security Processing */
-#define	IXGBE_RXD_STAT_LB	0x40000 /* Loopback Status */
-#define	IXGBE_RXD_STAT_ACK	0x8000  /* ACK Packet indication */
-#define	IXGBE_RXD_ERR_CE	0x01    /* CRC Error */
-#define	IXGBE_RXD_ERR_LE	0x02    /* Length Error */
-#define	IXGBE_RXD_ERR_PE	0x08    /* Packet Error */
-#define	IXGBE_RXD_ERR_OSE	0x10    /* Oversize Error */
-#define	IXGBE_RXD_ERR_USE	0x20    /* Undersize Error */
-#define	IXGBE_RXD_ERR_TCPE	0x40    /* TCP/UDP Checksum Error */
-#define	IXGBE_RXD_ERR_IPE	0x80    /* IP Checksum Error */
-#define	IXGBE_RXDADV_ERR_MASK		0xfff00000 /* RDESC.ERRORS mask */
-#define	IXGBE_RXDADV_ERR_SHIFT		20	/* RDESC.ERRORS shift */
-#define	IXGBE_RXDADV_ERR_FCEOFE		0x80000000 /* FCoEFe/IPE */
-#define	IXGBE_RXDADV_ERR_FCERR		0x00700000 /* FCERR/FDIRERR */
-#define	IXGBE_RXDADV_ERR_FDIR_LEN	0x00100000 /* FDIR Length error */
-#define	IXGBE_RXDADV_ERR_FDIR_DROP	0x00200000 /* FDIR Drop error */
-#define	IXGBE_RXDADV_ERR_FDIR_COLL	0x00400000 /* FDIR Collision error */
-#define	IXGBE_RXDADV_ERR_HBO	0x00800000 /* Header Buffer Overflow */
-#define	IXGBE_RXDADV_ERR_CE	0x01000000 /* CRC Error */
-#define	IXGBE_RXDADV_ERR_LE	0x02000000 /* Length Error */
-#define	IXGBE_RXDADV_ERR_PE	0x08000000 /* Packet Error */
-#define	IXGBE_RXDADV_ERR_OSE	0x10000000 /* Oversize Error */
-#define	IXGBE_RXDADV_ERR_USE	0x20000000 /* Undersize Error */
-#define	IXGBE_RXDADV_ERR_TCPE	0x40000000 /* TCP/UDP Checksum Error */
-#define	IXGBE_RXDADV_ERR_IPE	0x80000000 /* IP Checksum Error */
-#define	IXGBE_RXD_VLAN_ID_MASK	0x0FFF  /* VLAN ID is in lower 12 bits */
-#define	IXGBE_RXD_PRI_MASK	0xE000  /* Priority is in upper 3 bits */
-#define	IXGBE_RXD_PRI_SHIFT	13
-#define	IXGBE_RXD_CFI_MASK	0x1000  /* CFI is bit 12 */
-#define	IXGBE_RXD_CFI_SHIFT	12
+#define IXGBE_RXD_STAT_DD       0x01    /* Descriptor Done */
+#define IXGBE_RXD_STAT_EOP      0x02    /* End of Packet */
+#define IXGBE_RXD_STAT_FLM      0x04    /* FDir Match */
+#define IXGBE_RXD_STAT_VP       0x08    /* IEEE VLAN Packet */
+#define IXGBE_RXDADV_NEXTP_MASK   0x000FFFF0 /* Next Descriptor Index */
+#define IXGBE_RXDADV_NEXTP_SHIFT  0x00000004
+#define IXGBE_RXD_STAT_UDPCS    0x10    /* UDP xsum calculated */
+#define IXGBE_RXD_STAT_L4CS     0x20    /* L4 xsum calculated */
+#define IXGBE_RXD_STAT_IPCS     0x40    /* IP xsum calculated */
+#define IXGBE_RXD_STAT_PIF      0x80    /* passed in-exact filter */
+#define IXGBE_RXD_STAT_CRCV     0x100   /* Speculative CRC Valid */
+#define IXGBE_RXD_STAT_VEXT     0x200   /* 1st VLAN found */
+#define IXGBE_RXD_STAT_UDPV     0x400   /* Valid UDP checksum */
+#define IXGBE_RXD_STAT_DYNINT   0x800   /* Pkt caused INT via DYNINT */
+#define IXGBE_RXD_STAT_LLINT    0x800   /* Pkt caused Low Latency Interrupt */
+#define IXGBE_RXD_STAT_TS       0x10000 /* Time Stamp */
+#define IXGBE_RXD_STAT_SECP     0x20000 /* Security Processing */
+#define IXGBE_RXD_STAT_LB       0x40000 /* Loopback Status */
+#define IXGBE_RXD_STAT_ACK      0x8000  /* ACK Packet indication */
+#define IXGBE_RXD_ERR_CE        0x01    /* CRC Error */
+#define IXGBE_RXD_ERR_LE        0x02    /* Length Error */
+#define IXGBE_RXD_ERR_PE        0x08    /* Packet Error */
+#define IXGBE_RXD_ERR_OSE       0x10    /* Oversize Error */
+#define IXGBE_RXD_ERR_USE       0x20    /* Undersize Error */
+#define IXGBE_RXD_ERR_TCPE      0x40    /* TCP/UDP Checksum Error */
+#define IXGBE_RXD_ERR_IPE       0x80    /* IP Checksum Error */
+#define IXGBE_RXDADV_ERR_MASK           0xfff00000 /* RDESC.ERRORS mask */
+#define IXGBE_RXDADV_ERR_SHIFT          20         /* RDESC.ERRORS shift */
+#define IXGBE_RXDADV_ERR_FCEOFE         0x80000000 /* FCoEFe/IPE */
+#define IXGBE_RXDADV_ERR_FCERR          0x00700000 /* FCERR/FDIRERR */
+#define IXGBE_RXDADV_ERR_FDIR_LEN       0x00100000 /* FDIR Length error */
+#define IXGBE_RXDADV_ERR_FDIR_DROP      0x00200000 /* FDIR Drop error */
+#define IXGBE_RXDADV_ERR_FDIR_COLL      0x00400000 /* FDIR Collision error */
+#define IXGBE_RXDADV_ERR_HBO    0x00800000 /*Header Buffer Overflow */
+#define IXGBE_RXDADV_ERR_CE     0x01000000 /* CRC Error */
+#define IXGBE_RXDADV_ERR_LE     0x02000000 /* Length Error */
+#define IXGBE_RXDADV_ERR_PE     0x08000000 /* Packet Error */
+#define IXGBE_RXDADV_ERR_OSE    0x10000000 /* Oversize Error */
+#define IXGBE_RXDADV_ERR_USE    0x20000000 /* Undersize Error */
+#define IXGBE_RXDADV_ERR_TCPE   0x40000000 /* TCP/UDP Checksum Error */
+#define IXGBE_RXDADV_ERR_IPE    0x80000000 /* IP Checksum Error */
+#define IXGBE_RXD_VLAN_ID_MASK  0x0FFF  /* VLAN ID is in lower 12 bits */
+#define IXGBE_RXD_PRI_MASK      0xE000  /* Priority is in upper 3 bits */
+#define IXGBE_RXD_PRI_SHIFT     13
+#define IXGBE_RXD_CFI_MASK      0x1000  /* CFI is bit 12 */
+#define IXGBE_RXD_CFI_SHIFT     12
 
-#define	IXGBE_RXDADV_STAT_DD		IXGBE_RXD_STAT_DD  /* Done */
-#define	IXGBE_RXDADV_STAT_EOP		IXGBE_RXD_STAT_EOP /* End of Packet */
-#define	IXGBE_RXDADV_STAT_FLM		IXGBE_RXD_STAT_FLM /* FDir Match */
-#define	IXGBE_RXDADV_STAT_VP		IXGBE_RXD_STAT_VP  /* IEEE VLAN Pkt */
-#define	IXGBE_RXDADV_STAT_MASK		0x000fffff /* Stat/NEXTP: bit 0-19 */
-#define	IXGBE_RXDADV_STAT_FCEOFS	0x00000040 /* FCoE EOF/SOF Stat */
-#define	IXGBE_RXDADV_STAT_FCSTAT	0x00000030 /* FCoE Pkt Stat */
-#define	IXGBE_RXDADV_STAT_FCSTAT_NOMTCH	0x00000000 /* 00: No Ctxt Match */
-#define	IXGBE_RXDADV_STAT_FCSTAT_NODDP	0x00000010 /* 01: Ctxt w/o DDP */
-#define	IXGBE_RXDADV_STAT_FCSTAT_FCPRSP	0x00000020 /* 10: Recv. FCP_RSP */
-#define	IXGBE_RXDADV_STAT_FCSTAT_DDP	0x00000030 /* 11: Ctxt w/ DDP */
+#define IXGBE_RXDADV_STAT_DD            IXGBE_RXD_STAT_DD  /* Done */
+#define IXGBE_RXDADV_STAT_EOP           IXGBE_RXD_STAT_EOP /* End of Packet */
+#define IXGBE_RXDADV_STAT_FLM           IXGBE_RXD_STAT_FLM /* FDir Match */
+#define IXGBE_RXDADV_STAT_VP            IXGBE_RXD_STAT_VP  /* IEEE VLAN Pkt */
+#define IXGBE_RXDADV_STAT_MASK          0x000fffff /* Stat/NEXTP: bit 0-19 */
+#define IXGBE_RXDADV_STAT_FCEOFS        0x00000040 /* FCoE EOF/SOF Stat */
+#define IXGBE_RXDADV_STAT_FCSTAT        0x00000030 /* FCoE Pkt Stat */
+#define IXGBE_RXDADV_STAT_FCSTAT_NOMTCH 0x00000000 /* 00: No Ctxt Match */
+#define IXGBE_RXDADV_STAT_FCSTAT_NODDP  0x00000010 /* 01: Ctxt w/o DDP */
+#define IXGBE_RXDADV_STAT_FCSTAT_FCPRSP 0x00000020 /* 10: Recv. FCP_RSP */
+#define IXGBE_RXDADV_STAT_FCSTAT_DDP    0x00000030 /* 11: Ctxt w/ DDP */
 
 /* PSRTYPE bit definitions */
-#define	IXGBE_PSRTYPE_TCPHDR		0x00000010
-#define	IXGBE_PSRTYPE_UDPHDR		0x00000020
-#define	IXGBE_PSRTYPE_IPV4HDR		0x00000100
-#define	IXGBE_PSRTYPE_IPV6HDR		0x00000200
-#define	IXGBE_PSRTYPE_L2HDR		0x00001000
+#define IXGBE_PSRTYPE_TCPHDR    0x00000010
+#define IXGBE_PSRTYPE_UDPHDR    0x00000020
+#define IXGBE_PSRTYPE_IPV4HDR   0x00000100
+#define IXGBE_PSRTYPE_IPV6HDR   0x00000200
+#define IXGBE_PSRTYPE_L2HDR     0x00001000
 
 /* SRRCTL bit definitions */
-#define	IXGBE_SRRCTL_BSIZEPKT_SHIFT	10	/* so many KBs */
-#define	IXGBE_SRRCTL_RDMTS_SHIFT	22
-#define	IXGBE_SRRCTL_RDMTS_MASK		0x01C00000
-#define	IXGBE_SRRCTL_DROP_EN		0x10000000
-#define	IXGBE_SRRCTL_BSIZEPKT_MASK	0x0000007F
-#define	IXGBE_SRRCTL_BSIZEHDR_MASK	0x00003F00
-#define	IXGBE_SRRCTL_DESCTYPE_LEGACY	0x00000000
-#define	IXGBE_SRRCTL_DESCTYPE_ADV_ONEBUF 0x02000000
-#define	IXGBE_SRRCTL_DESCTYPE_HDR_SPLIT  0x04000000
-#define	IXGBE_SRRCTL_DESCTYPE_HDR_REPLICATION_LARGE_PKT 0x08000000
-#define	IXGBE_SRRCTL_DESCTYPE_HDR_SPLIT_ALWAYS 0x0A000000
-#define	IXGBE_SRRCTL_DESCTYPE_MASK	0x0E000000
+#define IXGBE_SRRCTL_BSIZEPKT_SHIFT     10     /* so many KBs */
+#define IXGBE_SRRCTL_RDMTS_SHIFT        22
+#define IXGBE_SRRCTL_RDMTS_MASK         0x01C00000
+#define IXGBE_SRRCTL_DROP_EN            0x10000000
+#define IXGBE_SRRCTL_BSIZEPKT_MASK      0x0000007F
+#define IXGBE_SRRCTL_BSIZEHDR_MASK      0x00003F00
+#define IXGBE_SRRCTL_DESCTYPE_LEGACY    0x00000000
+#define IXGBE_SRRCTL_DESCTYPE_ADV_ONEBUF 0x02000000
+#define IXGBE_SRRCTL_DESCTYPE_HDR_SPLIT  0x04000000
+#define IXGBE_SRRCTL_DESCTYPE_HDR_REPLICATION_LARGE_PKT 0x08000000
+#define IXGBE_SRRCTL_DESCTYPE_HDR_SPLIT_ALWAYS 0x0A000000
+#define IXGBE_SRRCTL_DESCTYPE_MASK      0x0E000000
 
-#define	IXGBE_RXDPS_HDRSTAT_HDRSP	0x00008000
-#define	IXGBE_RXDPS_HDRSTAT_HDRLEN_MASK 0x000003FF
+#define IXGBE_RXDPS_HDRSTAT_HDRSP       0x00008000
+#define IXGBE_RXDPS_HDRSTAT_HDRLEN_MASK 0x000003FF
 
-#define	IXGBE_RXDADV_RSSTYPE_MASK	0x0000000F
-#define	IXGBE_RXDADV_PKTTYPE_MASK	0x0000FFF0
-#define	IXGBE_RXDADV_PKTTYPE_MASK_EX	0x0001FFF0
-#define	IXGBE_RXDADV_HDRBUFLEN_MASK	0x00007FE0
-#define	IXGBE_RXDADV_RSCCNT_MASK	0x001E0000
-#define	IXGBE_RXDADV_RSCCNT_SHIFT	17
-#define	IXGBE_RXDADV_HDRBUFLEN_SHIFT	5
-#define	IXGBE_RXDADV_SPLITHEADER_EN	0x00001000
-#define	IXGBE_RXDADV_SPH		0x8000
+#define IXGBE_RXDADV_RSSTYPE_MASK       0x0000000F
+#define IXGBE_RXDADV_PKTTYPE_MASK       0x0000FFF0
+#define IXGBE_RXDADV_PKTTYPE_MASK_EX    0x0001FFF0
+#define IXGBE_RXDADV_HDRBUFLEN_MASK     0x00007FE0
+#define IXGBE_RXDADV_RSCCNT_MASK        0x001E0000
+#define IXGBE_RXDADV_RSCCNT_SHIFT       17
+#define IXGBE_RXDADV_HDRBUFLEN_SHIFT    5
+#define IXGBE_RXDADV_SPLITHEADER_EN     0x00001000
+#define IXGBE_RXDADV_SPH                0x8000
 
 /* RSS Hash results */
-#define	IXGBE_RXDADV_RSSTYPE_NONE	0x00000000
-#define	IXGBE_RXDADV_RSSTYPE_IPV4_TCP	0x00000001
-#define	IXGBE_RXDADV_RSSTYPE_IPV4	0x00000002
-#define	IXGBE_RXDADV_RSSTYPE_IPV6_TCP	0x00000003
-#define	IXGBE_RXDADV_RSSTYPE_IPV6_EX	0x00000004
-#define	IXGBE_RXDADV_RSSTYPE_IPV6	0x00000005
-#define	IXGBE_RXDADV_RSSTYPE_IPV6_TCP_EX 0x00000006
-#define	IXGBE_RXDADV_RSSTYPE_IPV4_UDP	0x00000007
-#define	IXGBE_RXDADV_RSSTYPE_IPV6_UDP	0x00000008
-#define	IXGBE_RXDADV_RSSTYPE_IPV6_UDP_EX 0x00000009
+#define IXGBE_RXDADV_RSSTYPE_NONE       0x00000000
+#define IXGBE_RXDADV_RSSTYPE_IPV4_TCP   0x00000001
+#define IXGBE_RXDADV_RSSTYPE_IPV4       0x00000002
+#define IXGBE_RXDADV_RSSTYPE_IPV6_TCP   0x00000003
+#define IXGBE_RXDADV_RSSTYPE_IPV6_EX    0x00000004
+#define IXGBE_RXDADV_RSSTYPE_IPV6       0x00000005
+#define IXGBE_RXDADV_RSSTYPE_IPV6_TCP_EX 0x00000006
+#define IXGBE_RXDADV_RSSTYPE_IPV4_UDP   0x00000007
+#define IXGBE_RXDADV_RSSTYPE_IPV6_UDP   0x00000008
+#define IXGBE_RXDADV_RSSTYPE_IPV6_UDP_EX 0x00000009
 
 /* RSS Packet Types as indicated in the receive descriptor. */
-#define	IXGBE_RXDADV_PKTTYPE_NONE	0x00000000
-#define	IXGBE_RXDADV_PKTTYPE_IPV4	0x00000010 /* IPv4 hdr present */
-#define	IXGBE_RXDADV_PKTTYPE_IPV4_EX	0x00000020 /* IPv4 hdr + extensions */
-#define	IXGBE_RXDADV_PKTTYPE_IPV6	0x00000040 /* IPv6 hdr present */
-#define	IXGBE_RXDADV_PKTTYPE_IPV6_EX	0x00000080 /* IPv6 hdr + extensions */
-#define	IXGBE_RXDADV_PKTTYPE_TCP	0x00000100 /* TCP hdr present */
-#define	IXGBE_RXDADV_PKTTYPE_UDP	0x00000200 /* UDP hdr present */
-#define	IXGBE_RXDADV_PKTTYPE_SCTP	0x00000400 /* SCTP hdr present */
-#define	IXGBE_RXDADV_PKTTYPE_NFS	0x00000800 /* NFS hdr present */
-#define	IXGBE_RXDADV_PKTTYPE_IPSEC_ESP	0x00001000 /* IPSec ESP */
-#define	IXGBE_RXDADV_PKTTYPE_IPSEC_AH	0x00002000 /* IPSec AH */
-#define	IXGBE_RXDADV_PKTTYPE_LINKSEC	0x00004000 /* LinkSec Encap */
-#define	IXGBE_RXDADV_PKTTYPE_ETQF	0x00008000 /* PKTTYPE is ETQF index */
-#define	IXGBE_RXDADV_PKTTYPE_ETQF_MASK	0x00000070 /* ETQF has 8 indices */
-#define	IXGBE_RXDADV_PKTTYPE_ETQF_SHIFT	4	/* Right-shift 4 bits */
+#define IXGBE_RXDADV_PKTTYPE_NONE       0x00000000
+#define IXGBE_RXDADV_PKTTYPE_IPV4       0x00000010 /* IPv4 hdr present */
+#define IXGBE_RXDADV_PKTTYPE_IPV4_EX    0x00000020 /* IPv4 hdr + extensions */
+#define IXGBE_RXDADV_PKTTYPE_IPV6       0x00000040 /* IPv6 hdr present */
+#define IXGBE_RXDADV_PKTTYPE_IPV6_EX    0x00000080 /* IPv6 hdr + extensions */
+#define IXGBE_RXDADV_PKTTYPE_TCP        0x00000100 /* TCP hdr present */
+#define IXGBE_RXDADV_PKTTYPE_UDP        0x00000200 /* UDP hdr present */
+#define IXGBE_RXDADV_PKTTYPE_SCTP       0x00000400 /* SCTP hdr present */
+#define IXGBE_RXDADV_PKTTYPE_NFS        0x00000800 /* NFS hdr present */
+#define IXGBE_RXDADV_PKTTYPE_IPSEC_ESP  0x00001000 /* IPSec ESP */
+#define IXGBE_RXDADV_PKTTYPE_IPSEC_AH   0x00002000 /* IPSec AH */
+#define IXGBE_RXDADV_PKTTYPE_LINKSEC    0x00004000 /* LinkSec Encap */
+#define IXGBE_RXDADV_PKTTYPE_ETQF       0x00008000 /* PKTTYPE is ETQF index */
+#define IXGBE_RXDADV_PKTTYPE_ETQF_MASK  0x00000070 /* ETQF has 8 indices */
+#define IXGBE_RXDADV_PKTTYPE_ETQF_SHIFT 4          /* Right-shift 4 bits */
 
 /* Security Processing bit Indication */
-#define	IXGBE_RXDADV_LNKSEC_STATUS_SECP		0x00020000
-#define	IXGBE_RXDADV_LNKSEC_ERROR_NO_SA_MATCH	0x08000000
-#define	IXGBE_RXDADV_LNKSEC_ERROR_REPLAY_ERROR	0x10000000
-#define	IXGBE_RXDADV_LNKSEC_ERROR_BIT_MASK	0x18000000
-#define	IXGBE_RXDADV_LNKSEC_ERROR_BAD_SIG	0x18000000
+#define IXGBE_RXDADV_LNKSEC_STATUS_SECP         0x00020000
+#define IXGBE_RXDADV_LNKSEC_ERROR_NO_SA_MATCH   0x08000000
+#define IXGBE_RXDADV_LNKSEC_ERROR_REPLAY_ERROR  0x10000000
+#define IXGBE_RXDADV_LNKSEC_ERROR_BIT_MASK      0x18000000
+#define IXGBE_RXDADV_LNKSEC_ERROR_BAD_SIG       0x18000000
 
 /* Masks to determine if packets should be dropped due to frame errors */
-#define	IXGBE_RXD_ERR_FRAME_ERR_MASK ( \
-	IXGBE_RXD_ERR_CE | IXGBE_RXD_ERR_LE | \
-	IXGBE_RXD_ERR_PE | IXGBE_RXD_ERR_OSE | IXGBE_RXD_ERR_USE)
+#define IXGBE_RXD_ERR_FRAME_ERR_MASK ( \
+                                      IXGBE_RXD_ERR_CE | \
+                                      IXGBE_RXD_ERR_LE | \
+                                      IXGBE_RXD_ERR_PE | \
+                                      IXGBE_RXD_ERR_OSE | \
+                                      IXGBE_RXD_ERR_USE)
 
-#define	IXGBE_RXDADV_ERR_FRAME_ERR_MASK ( \
-	IXGBE_RXDADV_ERR_CE | IXGBE_RXDADV_ERR_LE | \
-	IXGBE_RXDADV_ERR_PE | IXGBE_RXDADV_ERR_OSE | IXGBE_RXDADV_ERR_USE)
+#define IXGBE_RXDADV_ERR_FRAME_ERR_MASK ( \
+                                      IXGBE_RXDADV_ERR_CE | \
+                                      IXGBE_RXDADV_ERR_LE | \
+                                      IXGBE_RXDADV_ERR_PE | \
+                                      IXGBE_RXDADV_ERR_OSE | \
+                                      IXGBE_RXDADV_ERR_USE)
 
 /* Multicast bit mask */
-#define	IXGBE_MCSTCTRL_MFE	0x4
+#define IXGBE_MCSTCTRL_MFE      0x4
 
 /* Number of Transmit and Receive Descriptors must be a multiple of 8 */
-#define	IXGBE_REQ_TX_DESCRIPTOR_MULTIPLE  8
-#define	IXGBE_REQ_RX_DESCRIPTOR_MULTIPLE  8
-#define	IXGBE_REQ_TX_BUFFER_GRANULARITY   1024
+#define IXGBE_REQ_TX_DESCRIPTOR_MULTIPLE  8
+#define IXGBE_REQ_RX_DESCRIPTOR_MULTIPLE  8
+#define IXGBE_REQ_TX_BUFFER_GRANULARITY   1024
 
 /* Vlan-specific macros */
-#define	IXGBE_RX_DESC_SPECIAL_VLAN_MASK  0x0FFF /* VLAN ID in lower 12 bits */
-#define	IXGBE_RX_DESC_SPECIAL_PRI_MASK   0xE000 /* Priority in upper 3 bits */
-#define	IXGBE_RX_DESC_SPECIAL_PRI_SHIFT  0x000D /* Priority in upper 3 of 16 */
-#define	IXGBE_TX_DESC_SPECIAL_PRI_SHIFT  IXGBE_RX_DESC_SPECIAL_PRI_SHIFT
+#define IXGBE_RX_DESC_SPECIAL_VLAN_MASK  0x0FFF /* VLAN ID in lower 12 bits */
+#define IXGBE_RX_DESC_SPECIAL_PRI_MASK   0xE000 /* Priority in upper 3 bits */
+#define IXGBE_RX_DESC_SPECIAL_PRI_SHIFT  0x000D /* Priority in upper 3 of 16 */
+#define IXGBE_TX_DESC_SPECIAL_PRI_SHIFT  IXGBE_RX_DESC_SPECIAL_PRI_SHIFT
 
 /* SR-IOV specific macros */
-#define	IXGBE_MBVFICR_INDEX(vf_number)	(vf_number >> 4)
-#define	IXGBE_MBVFICR(_i)		(0x00710 + (_i * 4))
-#define	IXGBE_VFLRE(_i)			(((_i & 1) ? 0x001C0 : 0x00600))
-#define	IXGBE_VFLREC(_i)		(0x00700 + (_i * 4))
-/* Translated register #defines */
-#define	IXGBE_PVFCTRL(P)	(0x00300 + (4 * P))
-#define	IXGBE_PVFSTATUS(P)	(0x00008 + (0 * P))
-#define	IXGBE_PVFLINKS(P)	(0x042A4 + (0 * P))
-#define	IXGBE_PVFRTIMER(P)	(0x00048 + (0 * P))
-#define	IXGBE_PVFMAILBOX(P)	(0x04C00 + (4 * P))
-#define	IXGBE_PVFRXMEMWRAP(P)	(0x03190 + (0 * P))
-#define	IXGBE_PVTEICR(P)	(0x00B00 + (4 * P))
-#define	IXGBE_PVTEICS(P)	(0x00C00 + (4 * P))
-#define	IXGBE_PVTEIMS(P)	(0x00D00 + (4 * P))
-#define	IXGBE_PVTEIMC(P)	(0x00E00 + (4 * P))
-#define	IXGBE_PVTEIAC(P)	(0x00F00 + (4 * P))
-#define	IXGBE_PVTEIAM(P)	(0x04D00 + (4 * P))
-#define	IXGBE_PVTEITR(P)	(((P) < 24) ? (0x00820 + ((P) * 4)) : \
-	(0x012300 + (((P) - 24) * 4)))
-#define	IXGBE_PVTIVAR(P)	(0x12500 + (4 * P))
-#define	IXGBE_PVTIVAR_MISC(P)	(0x04E00 + (4 * P))
-#define	IXGBE_PVTRSCINT(P)	(0x12000 + (4 * P))
-#define	IXGBE_VFPBACL(P)	(0x110C8 + (4 * P))
-#define	IXGBE_PVFRDBAL(P)	((P < 64) ? (0x01000 + (0x40 * P)) \
-	: (0x0D000 + (0x40 * (P - 64))))
-#define	IXGBE_PVFRDBAH(P)	((P < 64) ? (0x01004 + (0x40 * P)) \
-	: (0x0D004 + (0x40 * (P - 64))))
-#define	IXGBE_PVFRDLEN(P)	((P < 64) ? (0x01008 + (0x40 * P)) \
-	: (0x0D008 + (0x40 * (P - 64))))
-#define	IXGBE_PVFRDH(P)		((P < 64) ? (0x01010 + (0x40 * P)) \
-	: (0x0D010 + (0x40 * (P - 64))))
-#define	IXGBE_PVFRDT(P)		((P < 64) ? (0x01018 + (0x40 * P)) \
-	: (0x0D018 + (0x40 * (P - 64))))
-#define	IXGBE_PVFRXDCTL(P)	((P < 64) ? (0x01028 + (0x40 * P)) \
-	: (0x0D028 + (0x40 * (P - 64))))
-#define	IXGBE_PVFSRRCTL(P)	((P < 64) ? (0x01014 + (0x40 * P)) \
-	: (0x0D014 + (0x40 * (P - 64))))
-#define	IXGBE_PVFPSRTYPE(P)	(0x0EA00 + (4 * P))
-#define	IXGBE_PVFTDBAL(P)	(0x06000 + (0x40 * P))
-#define	IXGBE_PVFTDBAH(P)	(0x06004 + (0x40 * P))
-#define	IXGBE_PVFTTDLEN(P)	(0x06008 + (0x40 * P))
-#define	IXGBE_PVFTDH(P)		(0x06010 + (0x40 * P))
-#define	IXGBE_PVFTDT(P)		(0x06018 + (0x40 * P))
-#define	IXGBE_PVFTXDCTL(P)	(0x06028 + (0x40 * P))
-#define	IXGBE_PVFTDWBAL(P)	(0x06038 + (0x40 * P))
-#define	IXGBE_PVFTDWBAH(P)	(0x0603C + (0x40 * P))
-#define	IXGBE_PVFDCA_RXCTRL(P) ((P < 64) ? (0x0100C + (0x40 * P)) \
-	: (0x0D00C + (0x40 * (P - 64))))
-#define	IXGBE_PVFDCA_TXCTRL(P)	(0x0600C + (0x40 * P))
-#define	IXGBE_PVFGPRC(x)	(0x0101C + (0x40 * x))
-#define	IXGBE_PVFGPTC(x)	(0x08300 + (0x04 * x))
-#define	IXGBE_PVFGORC_LSB(x)	(0x01020 + (0x40 * x))
-#define	IXGBE_PVFGORC_MSB(x)	(0x0D020 + (0x40 * x))
-#define	IXGBE_PVFGOTC_LSB(x)	(0x08400 + (0x08 * x))
-#define	IXGBE_PVFGOTC_MSB(x)	(0x08404 + (0x08 * x))
-#define	IXGBE_PVFMPRC(x)	(0x0D01C + (0x40 * x))
+#define IXGBE_MBVFICR_INDEX(vf_number)   (vf_number >> 4)
+#define IXGBE_MBVFICR(_i)                (0x00710 + (_i * 4))
+#define IXGBE_VFLRE(_i)                  (((_i & 1) ? 0x001C0 : 0x00600))
+#define IXGBE_VFLREC(_i)                 (0x00700 + (_i * 4))
 
-#ifndef	__le16
 /* Little Endian defines */
-#define	__le16	u16
-
-#define	__le32	u32
-#define	__le64	u64
+#ifndef __le16
+#define __le16  u16
 #endif
+#ifndef __le32
+#define __le32  u32
+#endif
+#ifndef __le64
+#define __le64  u64
 
-#ifndef	__be16
-/* Big Endian defines */
-#define	__be16	u16
-#define	__be32	u32
-#define	__be64	u64
 #endif
+#ifndef __be16
+/* Big Endian defines */
+#define __be16  u16
+#define __be32  u32
+#define __be64  u64
 
+#endif
 enum ixgbe_fdir_pballoc_type {
 	IXGBE_FDIR_PBALLOC_64K = 0,
 	IXGBE_FDIR_PBALLOC_128K,
 	IXGBE_FDIR_PBALLOC_256K,
 };
-#define	IXGBE_FDIR_PBALLOC_SIZE_SHIFT		16
+#define IXGBE_FDIR_PBALLOC_SIZE_SHIFT           16
 
 /* Flow Director register values */
-#define	IXGBE_FDIRCTRL_PBALLOC_64K		0x00000001
-#define	IXGBE_FDIRCTRL_PBALLOC_128K		0x00000002
-#define	IXGBE_FDIRCTRL_PBALLOC_256K		0x00000003
-#define	IXGBE_FDIRCTRL_INIT_DONE		0x00000008
-#define	IXGBE_FDIRCTRL_PERFECT_MATCH		0x00000010
-#define	IXGBE_FDIRCTRL_REPORT_STATUS		0x00000020
-#define	IXGBE_FDIRCTRL_REPORT_STATUS_ALWAYS	0x00000080
-#define	IXGBE_FDIRCTRL_DROP_Q_SHIFT		8
-#define	IXGBE_FDIRCTRL_FLEX_SHIFT		16
-#define	IXGBE_FDIRCTRL_SEARCHLIM		0x00800000
-#define	IXGBE_FDIRCTRL_MAX_LENGTH_SHIFT		24
-#define	IXGBE_FDIRCTRL_FULL_THRESH_MASK		0xF0000000
-#define	IXGBE_FDIRCTRL_FULL_THRESH_SHIFT	28
+#define IXGBE_FDIRCTRL_PBALLOC_64K              0x00000001
+#define IXGBE_FDIRCTRL_PBALLOC_128K             0x00000002
+#define IXGBE_FDIRCTRL_PBALLOC_256K             0x00000003
+#define IXGBE_FDIRCTRL_INIT_DONE                0x00000008
+#define IXGBE_FDIRCTRL_PERFECT_MATCH            0x00000010
+#define IXGBE_FDIRCTRL_REPORT_STATUS            0x00000020
+#define IXGBE_FDIRCTRL_REPORT_STATUS_ALWAYS     0x00000080
+#define IXGBE_FDIRCTRL_DROP_Q_SHIFT             8
+#define IXGBE_FDIRCTRL_FLEX_SHIFT               16
+#define IXGBE_FDIRCTRL_SEARCHLIM                0x00800000
+#define IXGBE_FDIRCTRL_MAX_LENGTH_SHIFT         24
+#define IXGBE_FDIRCTRL_FULL_THRESH_MASK         0xF0000000
+#define IXGBE_FDIRCTRL_FULL_THRESH_SHIFT        28
 
-#define	IXGBE_FDIRTCPM_DPORTM_SHIFT		16
-#define	IXGBE_FDIRUDPM_DPORTM_SHIFT		16
-#define	IXGBE_FDIRIP6M_DIPM_SHIFT		16
-#define	IXGBE_FDIRM_VLANID			0x00000001
-#define	IXGBE_FDIRM_VLANP			0x00000002
-#define	IXGBE_FDIRM_POOL			0x00000004
-#define	IXGBE_FDIRM_L4P				0x00000008
-#define	IXGBE_FDIRM_FLEX			0x00000010
-#define	IXGBE_FDIRM_DIPv6			0x00000020
+#define IXGBE_FDIRTCPM_DPORTM_SHIFT             16
+#define IXGBE_FDIRUDPM_DPORTM_SHIFT             16
+#define IXGBE_FDIRIP6M_DIPM_SHIFT               16
+#define IXGBE_FDIRM_VLANID                      0x00000001
+#define IXGBE_FDIRM_VLANP                       0x00000002
+#define IXGBE_FDIRM_POOL                        0x00000004
+#define IXGBE_FDIRM_L4P                         0x00000008
+#define IXGBE_FDIRM_FLEX                        0x00000010
+#define IXGBE_FDIRM_DIPv6                       0x00000020
 
-#define	IXGBE_FDIRFREE_FREE_MASK		0xFFFF
-#define	IXGBE_FDIRFREE_FREE_SHIFT		0
-#define	IXGBE_FDIRFREE_COLL_MASK		0x7FFF0000
-#define	IXGBE_FDIRFREE_COLL_SHIFT		16
-#define	IXGBE_FDIRLEN_MAXLEN_MASK		0x3F
-#define	IXGBE_FDIRLEN_MAXLEN_SHIFT		0
-#define	IXGBE_FDIRLEN_MAXHASH_MASK		0x7FFF0000
-#define	IXGBE_FDIRLEN_MAXHASH_SHIFT		16
-#define	IXGBE_FDIRUSTAT_ADD_MASK		0xFFFF
-#define	IXGBE_FDIRUSTAT_ADD_SHIFT		0
-#define	IXGBE_FDIRUSTAT_REMOVE_MASK		0xFFFF0000
-#define	IXGBE_FDIRUSTAT_REMOVE_SHIFT		16
-#define	IXGBE_FDIRFSTAT_FADD_MASK		0x00FF
-#define	IXGBE_FDIRFSTAT_FADD_SHIFT		0
-#define	IXGBE_FDIRFSTAT_FREMOVE_MASK		0xFF00
-#define	IXGBE_FDIRFSTAT_FREMOVE_SHIFT		8
-#define	IXGBE_FDIRPORT_DESTINATION_SHIFT	16
-#define	IXGBE_FDIRVLAN_FLEX_SHIFT		16
-#define	IXGBE_FDIRHASH_BUCKET_VALID_SHIFT	15
-#define	IXGBE_FDIRHASH_SIG_SW_INDEX_SHIFT	16
+#define IXGBE_FDIRFREE_FREE_MASK                0xFFFF
+#define IXGBE_FDIRFREE_FREE_SHIFT               0
+#define IXGBE_FDIRFREE_COLL_MASK                0x7FFF0000
+#define IXGBE_FDIRFREE_COLL_SHIFT               16
+#define IXGBE_FDIRLEN_MAXLEN_MASK               0x3F
+#define IXGBE_FDIRLEN_MAXLEN_SHIFT              0
+#define IXGBE_FDIRLEN_MAXHASH_MASK              0x7FFF0000
+#define IXGBE_FDIRLEN_MAXHASH_SHIFT             16
+#define IXGBE_FDIRUSTAT_ADD_MASK                0xFFFF
+#define IXGBE_FDIRUSTAT_ADD_SHIFT               0
+#define IXGBE_FDIRUSTAT_REMOVE_MASK             0xFFFF0000
+#define IXGBE_FDIRUSTAT_REMOVE_SHIFT            16
+#define IXGBE_FDIRFSTAT_FADD_MASK               0x00FF
+#define IXGBE_FDIRFSTAT_FADD_SHIFT              0
+#define IXGBE_FDIRFSTAT_FREMOVE_MASK            0xFF00
+#define IXGBE_FDIRFSTAT_FREMOVE_SHIFT           8
+#define IXGBE_FDIRPORT_DESTINATION_SHIFT        16
+#define IXGBE_FDIRVLAN_FLEX_SHIFT               16
+#define IXGBE_FDIRHASH_BUCKET_VALID_SHIFT       15
+#define IXGBE_FDIRHASH_SIG_SW_INDEX_SHIFT       16
 
-#define	IXGBE_FDIRCMD_CMD_MASK			0x00000003
-#define	IXGBE_FDIRCMD_CMD_ADD_FLOW		0x00000001
-#define	IXGBE_FDIRCMD_CMD_REMOVE_FLOW		0x00000002
-#define	IXGBE_FDIRCMD_CMD_QUERY_REM_FILT	0x00000003
-#define	IXGBE_FDIRCMD_CMD_QUERY_REM_HASH	0x00000007
-#define	IXGBE_FDIRCMD_FILTER_UPDATE		0x00000008
-#define	IXGBE_FDIRCMD_IPv6DMATCH		0x00000010
-#define	IXGBE_FDIRCMD_L4TYPE_UDP		0x00000020
-#define	IXGBE_FDIRCMD_L4TYPE_TCP		0x00000040
-#define	IXGBE_FDIRCMD_L4TYPE_SCTP		0x00000060
-#define	IXGBE_FDIRCMD_IPV6			0x00000080
-#define	IXGBE_FDIRCMD_CLEARHT			0x00000100
-#define	IXGBE_FDIRCMD_DROP			0x00000200
-#define	IXGBE_FDIRCMD_INT			0x00000400
-#define	IXGBE_FDIRCMD_LAST			0x00000800
-#define	IXGBE_FDIRCMD_COLLISION			0x00001000
-#define	IXGBE_FDIRCMD_QUEUE_EN			0x00008000
-#define	IXGBE_FDIRCMD_RX_QUEUE_SHIFT		16
-#define	IXGBE_FDIRCMD_VT_POOL_SHIFT		24
-#define	IXGBE_FDIR_INIT_DONE_POLL		10
-#define	IXGBE_FDIRCMD_CMD_POLL			10
+#define IXGBE_FDIRCMD_CMD_MASK                  0x00000003
+#define IXGBE_FDIRCMD_CMD_ADD_FLOW              0x00000001
+#define IXGBE_FDIRCMD_CMD_REMOVE_FLOW           0x00000002
+#define IXGBE_FDIRCMD_CMD_QUERY_REM_FILT        0x00000003
+#define IXGBE_FDIRCMD_CMD_QUERY_REM_HASH        0x00000007
+#define IXGBE_FDIRCMD_FILTER_UPDATE             0x00000008
+#define IXGBE_FDIRCMD_IPv6DMATCH                0x00000010
+#define IXGBE_FDIRCMD_L4TYPE_UDP                0x00000020
+#define IXGBE_FDIRCMD_L4TYPE_TCP                0x00000040
+#define IXGBE_FDIRCMD_L4TYPE_SCTP               0x00000060
+#define IXGBE_FDIRCMD_IPV6                      0x00000080
+#define IXGBE_FDIRCMD_CLEARHT                   0x00000100
+#define IXGBE_FDIRCMD_DROP                      0x00000200
+#define IXGBE_FDIRCMD_INT                       0x00000400
+#define IXGBE_FDIRCMD_LAST                      0x00000800
+#define IXGBE_FDIRCMD_COLLISION                 0x00001000
+#define IXGBE_FDIRCMD_QUEUE_EN                  0x00008000
+#define IXGBE_FDIRCMD_FLOW_TYPE_SHIFT           5
+#define IXGBE_FDIRCMD_RX_QUEUE_SHIFT            16
+#define IXGBE_FDIRCMD_VT_POOL_SHIFT             24
+#define IXGBE_FDIR_INIT_DONE_POLL               10
+#define IXGBE_FDIRCMD_CMD_POLL                  10
 
 /* Transmit Descriptor - Legacy */
 struct ixgbe_legacy_tx_desc {
-	u64 buffer_addr;	/* Address of the descriptor's data buffer */
+	u64 buffer_addr;       /* Address of the descriptor's data buffer */
 	union {
 		__le32 data;
 		struct {
-			__le16 length;	/* Data buffer length */
-			u8 cso;		/* Checksum offset */
-			u8 cmd;		/* Descriptor control */
+			__le16 length;    /* Data buffer length */
+			u8 cso;           /* Checksum offset */
+			u8 cmd;           /* Descriptor control */
 		} flags;
 	} lower;
 	union {
 		__le32 data;
 		struct {
-			u8 status;	/* Descriptor status */
-			u8 css;		/* Checksum start */
+			u8 status;        /* Descriptor status */
+			u8 css;           /* Checksum start */
 			__le16 vlan;
 		} fields;
 	} upper;
